summaryrefslogtreecommitdiff
path: root/tests/tr/tr-tests
diff options
context:
space:
mode:
Diffstat (limited to 'tests/tr/tr-tests')
-rwxr-xr-xtests/tr/tr-tests1749
1 files changed, 1325 insertions, 424 deletions
diff --git a/tests/tr/tr-tests b/tests/tr/tr-tests
index 351bbd04a..e02fc8821 100755
--- a/tests/tr/tr-tests
+++ b/tests/tr/tr-tests
@@ -9,907 +9,1808 @@ $echo testing program: $xx
errors=0
test "$srcdir" || srcdir=.
test "$VERBOSE" && $xx --version 2> /dev/null
-$xx 'abcd' '[]*]' < $srcdir/t1.in > t1.out 2> t1.err
+cat $srcdir/1.I | $xx 'abcd' '[]*]' > 1.O 2> 1.E
code=$?
if test $code != 0 ; then
- $echo "Test 1 failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ $echo "Test 1(|) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
errors=`expr $errors + 1`
else
- cmp t1.out $srcdir/t1.exp
+ cmp 1.O $srcdir/1.X
case $? in
- 0) if test "$VERBOSE" ; then $echo "passed 1"; fi ;;
- 1) $echo "Test 1 failed: files t1.out and $srcdir/t1.exp differ" 1>&2;
+ 0) if test "$VERBOSE" ; then $echo "passed 1(|)"; fi ;;
+ 1) $echo "Test 1(|) failed: files 1.O and $srcdir/1.X differ" 1>&2;
errors=`expr $errors + 1` ;;
- 2) $echo "Test 1 may have failed." 1>&2;
- $echo The command "cmp t1.out $srcdir/t1.exp" failed. 1>&2 ;
+ 2) $echo "Test 1(|) may have failed." 1>&2;
+ $echo The command "cmp 1.O $srcdir/1.X" failed. 1>&2 ;
errors=`expr $errors + 1` ;;
esac
fi
-test -s t1.err || rm -f t1.err
-$xx 'abc' '[%*]xyz' < $srcdir/t2.in > t2.out 2> t2.err
+test -s 1.E || rm -f 1.E
+$xx 'abcd' '[]*]' < $srcdir/1.I > 1.O 2> 1.E
code=$?
if test $code != 0 ; then
- $echo "Test 2 failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ $echo "Test 1(<) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
errors=`expr $errors + 1`
else
- cmp t2.out $srcdir/t2.exp
+ cmp 1.O $srcdir/1.X
case $? in
- 0) if test "$VERBOSE" ; then $echo "passed 2"; fi ;;
- 1) $echo "Test 2 failed: files t2.out and $srcdir/t2.exp differ" 1>&2;
+ 0) if test "$VERBOSE" ; then $echo "passed 1(<)"; fi ;;
+ 1) $echo "Test 1(<) failed: files 1.O and $srcdir/1.X differ" 1>&2;
errors=`expr $errors + 1` ;;
- 2) $echo "Test 2 may have failed." 1>&2;
- $echo The command "cmp t2.out $srcdir/t2.exp" failed. 1>&2 ;
+ 2) $echo "Test 1(<) may have failed." 1>&2;
+ $echo The command "cmp 1.O $srcdir/1.X" failed. 1>&2 ;
errors=`expr $errors + 1` ;;
esac
fi
-test -s t2.err || rm -f t2.err
-$xx '' '[.*]' < $srcdir/t3.in > t3.out 2> t3.err
+test -s 1.E || rm -f 1.E
+cat $srcdir/2.I | $xx 'abc' '[%*]xyz' > 2.O 2> 2.E
code=$?
if test $code != 0 ; then
- $echo "Test 3 failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ $echo "Test 2(|) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
errors=`expr $errors + 1`
else
- cmp t3.out $srcdir/t3.exp
+ cmp 2.O $srcdir/2.X
case $? in
- 0) if test "$VERBOSE" ; then $echo "passed 3"; fi ;;
- 1) $echo "Test 3 failed: files t3.out and $srcdir/t3.exp differ" 1>&2;
+ 0) if test "$VERBOSE" ; then $echo "passed 2(|)"; fi ;;
+ 1) $echo "Test 2(|) failed: files 2.O and $srcdir/2.X differ" 1>&2;
errors=`expr $errors + 1` ;;
- 2) $echo "Test 3 may have failed." 1>&2;
- $echo The command "cmp t3.out $srcdir/t3.exp" failed. 1>&2 ;
+ 2) $echo "Test 2(|) may have failed." 1>&2;
+ $echo The command "cmp 2.O $srcdir/2.X" failed. 1>&2 ;
errors=`expr $errors + 1` ;;
esac
fi
-test -s t3.err || rm -f t3.err
-$xx -t 'abcd' 'xy' < $srcdir/t4.in > t4.out 2> t4.err
+test -s 2.E || rm -f 2.E
+$xx 'abc' '[%*]xyz' < $srcdir/2.I > 2.O 2> 2.E
code=$?
if test $code != 0 ; then
- $echo "Test 4 failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ $echo "Test 2(<) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
errors=`expr $errors + 1`
else
- cmp t4.out $srcdir/t4.exp
+ cmp 2.O $srcdir/2.X
case $? in
- 0) if test "$VERBOSE" ; then $echo "passed 4"; fi ;;
- 1) $echo "Test 4 failed: files t4.out and $srcdir/t4.exp differ" 1>&2;
+ 0) if test "$VERBOSE" ; then $echo "passed 2(<)"; fi ;;
+ 1) $echo "Test 2(<) failed: files 2.O and $srcdir/2.X differ" 1>&2;
errors=`expr $errors + 1` ;;
- 2) $echo "Test 4 may have failed." 1>&2;
- $echo The command "cmp t4.out $srcdir/t4.exp" failed. 1>&2 ;
+ 2) $echo "Test 2(<) may have failed." 1>&2;
+ $echo The command "cmp 2.O $srcdir/2.X" failed. 1>&2 ;
errors=`expr $errors + 1` ;;
esac
fi
-test -s t4.err || rm -f t4.err
-$xx 'abcd' 'xy' < $srcdir/t5.in > t5.out 2> t5.err
+test -s 2.E || rm -f 2.E
+cat $srcdir/3.I | $xx '' '[.*]' > 3.O 2> 3.E
code=$?
if test $code != 0 ; then
- $echo "Test 5 failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ $echo "Test 3(|) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
errors=`expr $errors + 1`
else
- cmp t5.out $srcdir/t5.exp
+ cmp 3.O $srcdir/3.X
case $? in
- 0) if test "$VERBOSE" ; then $echo "passed 5"; fi ;;
- 1) $echo "Test 5 failed: files t5.out and $srcdir/t5.exp differ" 1>&2;
+ 0) if test "$VERBOSE" ; then $echo "passed 3(|)"; fi ;;
+ 1) $echo "Test 3(|) failed: files 3.O and $srcdir/3.X differ" 1>&2;
errors=`expr $errors + 1` ;;
- 2) $echo "Test 5 may have failed." 1>&2;
- $echo The command "cmp t5.out $srcdir/t5.exp" failed. 1>&2 ;
+ 2) $echo "Test 3(|) may have failed." 1>&2;
+ $echo The command "cmp 3.O $srcdir/3.X" failed. 1>&2 ;
errors=`expr $errors + 1` ;;
esac
fi
-test -s t5.err || rm -f t5.err
-$xx 'abcd' 'x[y*]' < $srcdir/t6.in > t6.out 2> t6.err
+test -s 3.E || rm -f 3.E
+$xx '' '[.*]' < $srcdir/3.I > 3.O 2> 3.E
code=$?
if test $code != 0 ; then
- $echo "Test 6 failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ $echo "Test 3(<) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
errors=`expr $errors + 1`
else
- cmp t6.out $srcdir/t6.exp
+ cmp 3.O $srcdir/3.X
case $? in
- 0) if test "$VERBOSE" ; then $echo "passed 6"; fi ;;
- 1) $echo "Test 6 failed: files t6.out and $srcdir/t6.exp differ" 1>&2;
+ 0) if test "$VERBOSE" ; then $echo "passed 3(<)"; fi ;;
+ 1) $echo "Test 3(<) failed: files 3.O and $srcdir/3.X differ" 1>&2;
errors=`expr $errors + 1` ;;
- 2) $echo "Test 6 may have failed." 1>&2;
- $echo The command "cmp t6.out $srcdir/t6.exp" failed. 1>&2 ;
+ 2) $echo "Test 3(<) may have failed." 1>&2;
+ $echo The command "cmp 3.O $srcdir/3.X" failed. 1>&2 ;
errors=`expr $errors + 1` ;;
esac
fi
-test -s t6.err || rm -f t6.err
-$xx -s 'a-p' '%[.*]$' < $srcdir/t7.in > t7.out 2> t7.err
+test -s 3.E || rm -f 3.E
+cat $srcdir/4.I | $xx -t 'abcd' 'xy' > 4.O 2> 4.E
code=$?
if test $code != 0 ; then
- $echo "Test 7 failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ $echo "Test 4(|) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
errors=`expr $errors + 1`
else
- cmp t7.out $srcdir/t7.exp
+ cmp 4.O $srcdir/4.X
case $? in
- 0) if test "$VERBOSE" ; then $echo "passed 7"; fi ;;
- 1) $echo "Test 7 failed: files t7.out and $srcdir/t7.exp differ" 1>&2;
+ 0) if test "$VERBOSE" ; then $echo "passed 4(|)"; fi ;;
+ 1) $echo "Test 4(|) failed: files 4.O and $srcdir/4.X differ" 1>&2;
errors=`expr $errors + 1` ;;
- 2) $echo "Test 7 may have failed." 1>&2;
- $echo The command "cmp t7.out $srcdir/t7.exp" failed. 1>&2 ;
+ 2) $echo "Test 4(|) may have failed." 1>&2;
+ $echo The command "cmp 4.O $srcdir/4.X" failed. 1>&2 ;
errors=`expr $errors + 1` ;;
esac
fi
-test -s t7.err || rm -f t7.err
-$xx -s 'a-p' '[.*]$' < $srcdir/t8.in > t8.out 2> t8.err
+test -s 4.E || rm -f 4.E
+$xx -t 'abcd' 'xy' < $srcdir/4.I > 4.O 2> 4.E
code=$?
if test $code != 0 ; then
- $echo "Test 8 failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ $echo "Test 4(<) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
errors=`expr $errors + 1`
else
- cmp t8.out $srcdir/t8.exp
+ cmp 4.O $srcdir/4.X
case $? in
- 0) if test "$VERBOSE" ; then $echo "passed 8"; fi ;;
- 1) $echo "Test 8 failed: files t8.out and $srcdir/t8.exp differ" 1>&2;
+ 0) if test "$VERBOSE" ; then $echo "passed 4(<)"; fi ;;
+ 1) $echo "Test 4(<) failed: files 4.O and $srcdir/4.X differ" 1>&2;
errors=`expr $errors + 1` ;;
- 2) $echo "Test 8 may have failed." 1>&2;
- $echo The command "cmp t8.out $srcdir/t8.exp" failed. 1>&2 ;
+ 2) $echo "Test 4(<) may have failed." 1>&2;
+ $echo The command "cmp 4.O $srcdir/4.X" failed. 1>&2 ;
errors=`expr $errors + 1` ;;
esac
fi
-test -s t8.err || rm -f t8.err
-$xx -s 'a-p' '%[.*]' < $srcdir/t9.in > t9.out 2> t9.err
+test -s 4.E || rm -f 4.E
+cat $srcdir/5.I | $xx 'abcd' 'xy' > 5.O 2> 5.E
code=$?
if test $code != 0 ; then
- $echo "Test 9 failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ $echo "Test 5(|) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
errors=`expr $errors + 1`
else
- cmp t9.out $srcdir/t9.exp
+ cmp 5.O $srcdir/5.X
case $? in
- 0) if test "$VERBOSE" ; then $echo "passed 9"; fi ;;
- 1) $echo "Test 9 failed: files t9.out and $srcdir/t9.exp differ" 1>&2;
+ 0) if test "$VERBOSE" ; then $echo "passed 5(|)"; fi ;;
+ 1) $echo "Test 5(|) failed: files 5.O and $srcdir/5.X differ" 1>&2;
errors=`expr $errors + 1` ;;
- 2) $echo "Test 9 may have failed." 1>&2;
- $echo The command "cmp t9.out $srcdir/t9.exp" failed. 1>&2 ;
+ 2) $echo "Test 5(|) may have failed." 1>&2;
+ $echo The command "cmp 5.O $srcdir/5.X" failed. 1>&2 ;
errors=`expr $errors + 1` ;;
esac
fi
-test -s t9.err || rm -f t9.err
-$xx -s '[a-z]' < $srcdir/ta.in > ta.out 2> ta.err
+test -s 5.E || rm -f 5.E
+$xx 'abcd' 'xy' < $srcdir/5.I > 5.O 2> 5.E
code=$?
if test $code != 0 ; then
- $echo "Test a failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ $echo "Test 5(<) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
errors=`expr $errors + 1`
else
- cmp ta.out $srcdir/ta.exp
+ cmp 5.O $srcdir/5.X
case $? in
- 0) if test "$VERBOSE" ; then $echo "passed a"; fi ;;
- 1) $echo "Test a failed: files ta.out and $srcdir/ta.exp differ" 1>&2;
+ 0) if test "$VERBOSE" ; then $echo "passed 5(<)"; fi ;;
+ 1) $echo "Test 5(<) failed: files 5.O and $srcdir/5.X differ" 1>&2;
errors=`expr $errors + 1` ;;
- 2) $echo "Test a may have failed." 1>&2;
- $echo The command "cmp ta.out $srcdir/ta.exp" failed. 1>&2 ;
+ 2) $echo "Test 5(<) may have failed." 1>&2;
+ $echo The command "cmp 5.O $srcdir/5.X" failed. 1>&2 ;
errors=`expr $errors + 1` ;;
esac
fi
-test -s ta.err || rm -f ta.err
-$xx -s '[a-c]' < $srcdir/tb.in > tb.out 2> tb.err
+test -s 5.E || rm -f 5.E
+cat $srcdir/6.I | $xx 'abcd' 'x[y*]' > 6.O 2> 6.E
code=$?
if test $code != 0 ; then
- $echo "Test b failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ $echo "Test 6(|) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
errors=`expr $errors + 1`
else
- cmp tb.out $srcdir/tb.exp
+ cmp 6.O $srcdir/6.X
case $? in
- 0) if test "$VERBOSE" ; then $echo "passed b"; fi ;;
- 1) $echo "Test b failed: files tb.out and $srcdir/tb.exp differ" 1>&2;
+ 0) if test "$VERBOSE" ; then $echo "passed 6(|)"; fi ;;
+ 1) $echo "Test 6(|) failed: files 6.O and $srcdir/6.X differ" 1>&2;
errors=`expr $errors + 1` ;;
- 2) $echo "Test b may have failed." 1>&2;
- $echo The command "cmp tb.out $srcdir/tb.exp" failed. 1>&2 ;
+ 2) $echo "Test 6(|) may have failed." 1>&2;
+ $echo The command "cmp 6.O $srcdir/6.X" failed. 1>&2 ;
errors=`expr $errors + 1` ;;
esac
fi
-test -s tb.err || rm -f tb.err
-$xx -s '[a-b]' < $srcdir/tc.in > tc.out 2> tc.err
+test -s 6.E || rm -f 6.E
+$xx 'abcd' 'x[y*]' < $srcdir/6.I > 6.O 2> 6.E
code=$?
if test $code != 0 ; then
- $echo "Test c failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ $echo "Test 6(<) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
errors=`expr $errors + 1`
else
- cmp tc.out $srcdir/tc.exp
+ cmp 6.O $srcdir/6.X
case $? in
- 0) if test "$VERBOSE" ; then $echo "passed c"; fi ;;
- 1) $echo "Test c failed: files tc.out and $srcdir/tc.exp differ" 1>&2;
+ 0) if test "$VERBOSE" ; then $echo "passed 6(<)"; fi ;;
+ 1) $echo "Test 6(<) failed: files 6.O and $srcdir/6.X differ" 1>&2;
errors=`expr $errors + 1` ;;
- 2) $echo "Test c may have failed." 1>&2;
- $echo The command "cmp tc.out $srcdir/tc.exp" failed. 1>&2 ;
+ 2) $echo "Test 6(<) may have failed." 1>&2;
+ $echo The command "cmp 6.O $srcdir/6.X" failed. 1>&2 ;
errors=`expr $errors + 1` ;;
esac
fi
-test -s tc.err || rm -f tc.err
-$xx -s '[b-c]' < $srcdir/td.in > td.out 2> td.err
+test -s 6.E || rm -f 6.E
+cat $srcdir/7.I | $xx -s 'a-p' '%[.*]$' > 7.O 2> 7.E
code=$?
if test $code != 0 ; then
- $echo "Test d failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ $echo "Test 7(|) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
errors=`expr $errors + 1`
else
- cmp td.out $srcdir/td.exp
+ cmp 7.O $srcdir/7.X
case $? in
- 0) if test "$VERBOSE" ; then $echo "passed d"; fi ;;
- 1) $echo "Test d failed: files td.out and $srcdir/td.exp differ" 1>&2;
+ 0) if test "$VERBOSE" ; then $echo "passed 7(|)"; fi ;;
+ 1) $echo "Test 7(|) failed: files 7.O and $srcdir/7.X differ" 1>&2;
errors=`expr $errors + 1` ;;
- 2) $echo "Test d may have failed." 1>&2;
- $echo The command "cmp td.out $srcdir/td.exp" failed. 1>&2 ;
+ 2) $echo "Test 7(|) may have failed." 1>&2;
+ $echo The command "cmp 7.O $srcdir/7.X" failed. 1>&2 ;
errors=`expr $errors + 1` ;;
esac
fi
-test -s td.err || rm -f td.err
-$xx -s '[\0-\5]' < $srcdir/te.in > te.out 2> te.err
+test -s 7.E || rm -f 7.E
+$xx -s 'a-p' '%[.*]$' < $srcdir/7.I > 7.O 2> 7.E
code=$?
if test $code != 0 ; then
- $echo "Test e failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ $echo "Test 7(<) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
errors=`expr $errors + 1`
else
- cmp te.out $srcdir/te.exp
+ cmp 7.O $srcdir/7.X
case $? in
- 0) if test "$VERBOSE" ; then $echo "passed e"; fi ;;
- 1) $echo "Test e failed: files te.out and $srcdir/te.exp differ" 1>&2;
+ 0) if test "$VERBOSE" ; then $echo "passed 7(<)"; fi ;;
+ 1) $echo "Test 7(<) failed: files 7.O and $srcdir/7.X differ" 1>&2;
errors=`expr $errors + 1` ;;
- 2) $echo "Test e may have failed." 1>&2;
- $echo The command "cmp te.out $srcdir/te.exp" failed. 1>&2 ;
+ 2) $echo "Test 7(<) may have failed." 1>&2;
+ $echo The command "cmp 7.O $srcdir/7.X" failed. 1>&2 ;
errors=`expr $errors + 1` ;;
esac
fi
-test -s te.err || rm -f te.err
-$xx -d '[=[=]' < $srcdir/tf.in > tf.out 2> tf.err
+test -s 7.E || rm -f 7.E
+cat $srcdir/8.I | $xx -s 'a-p' '[.*]$' > 8.O 2> 8.E
code=$?
if test $code != 0 ; then
- $echo "Test f failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ $echo "Test 8(|) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
errors=`expr $errors + 1`
else
- cmp tf.out $srcdir/tf.exp
+ cmp 8.O $srcdir/8.X
case $? in
- 0) if test "$VERBOSE" ; then $echo "passed f"; fi ;;
- 1) $echo "Test f failed: files tf.out and $srcdir/tf.exp differ" 1>&2;
+ 0) if test "$VERBOSE" ; then $echo "passed 8(|)"; fi ;;
+ 1) $echo "Test 8(|) failed: files 8.O and $srcdir/8.X differ" 1>&2;
errors=`expr $errors + 1` ;;
- 2) $echo "Test f may have failed." 1>&2;
- $echo The command "cmp tf.out $srcdir/tf.exp" failed. 1>&2 ;
+ 2) $echo "Test 8(|) may have failed." 1>&2;
+ $echo The command "cmp 8.O $srcdir/8.X" failed. 1>&2 ;
errors=`expr $errors + 1` ;;
esac
fi
-test -s tf.err || rm -f tf.err
-$xx -d '[=]=]' < $srcdir/tg.in > tg.out 2> tg.err
+test -s 8.E || rm -f 8.E
+$xx -s 'a-p' '[.*]$' < $srcdir/8.I > 8.O 2> 8.E
code=$?
if test $code != 0 ; then
- $echo "Test g failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ $echo "Test 8(<) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
errors=`expr $errors + 1`
else
- cmp tg.out $srcdir/tg.exp
+ cmp 8.O $srcdir/8.X
case $? in
- 0) if test "$VERBOSE" ; then $echo "passed g"; fi ;;
- 1) $echo "Test g failed: files tg.out and $srcdir/tg.exp differ" 1>&2;
+ 0) if test "$VERBOSE" ; then $echo "passed 8(<)"; fi ;;
+ 1) $echo "Test 8(<) failed: files 8.O and $srcdir/8.X differ" 1>&2;
errors=`expr $errors + 1` ;;
- 2) $echo "Test g may have failed." 1>&2;
- $echo The command "cmp tg.out $srcdir/tg.exp" failed. 1>&2 ;
+ 2) $echo "Test 8(<) may have failed." 1>&2;
+ $echo The command "cmp 8.O $srcdir/8.X" failed. 1>&2 ;
errors=`expr $errors + 1` ;;
esac
fi
-test -s tg.err || rm -f tg.err
-$xx -d '[:xdigit:]' < $srcdir/th.in > th.out 2> th.err
+test -s 8.E || rm -f 8.E
+cat $srcdir/9.I | $xx -s 'a-p' '%[.*]' > 9.O 2> 9.E
code=$?
if test $code != 0 ; then
- $echo "Test h failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ $echo "Test 9(|) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
errors=`expr $errors + 1`
else
- cmp th.out $srcdir/th.exp
+ cmp 9.O $srcdir/9.X
case $? in
- 0) if test "$VERBOSE" ; then $echo "passed h"; fi ;;
- 1) $echo "Test h failed: files th.out and $srcdir/th.exp differ" 1>&2;
+ 0) if test "$VERBOSE" ; then $echo "passed 9(|)"; fi ;;
+ 1) $echo "Test 9(|) failed: files 9.O and $srcdir/9.X differ" 1>&2;
errors=`expr $errors + 1` ;;
- 2) $echo "Test h may have failed." 1>&2;
- $echo The command "cmp th.out $srcdir/th.exp" failed. 1>&2 ;
+ 2) $echo "Test 9(|) may have failed." 1>&2;
+ $echo The command "cmp 9.O $srcdir/9.X" failed. 1>&2 ;
errors=`expr $errors + 1` ;;
esac
fi
-test -s th.err || rm -f th.err
-$xx -d '[:xdigit:]' < $srcdir/ti.in > ti.out 2> ti.err
+test -s 9.E || rm -f 9.E
+$xx -s 'a-p' '%[.*]' < $srcdir/9.I > 9.O 2> 9.E
code=$?
if test $code != 0 ; then
- $echo "Test i failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ $echo "Test 9(<) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
errors=`expr $errors + 1`
else
- cmp ti.out $srcdir/ti.exp
+ cmp 9.O $srcdir/9.X
case $? in
- 0) if test "$VERBOSE" ; then $echo "passed i"; fi ;;
- 1) $echo "Test i failed: files ti.out and $srcdir/ti.exp differ" 1>&2;
+ 0) if test "$VERBOSE" ; then $echo "passed 9(<)"; fi ;;
+ 1) $echo "Test 9(<) failed: files 9.O and $srcdir/9.X differ" 1>&2;
errors=`expr $errors + 1` ;;
- 2) $echo "Test i may have failed." 1>&2;
- $echo The command "cmp ti.out $srcdir/ti.exp" failed. 1>&2 ;
+ 2) $echo "Test 9(<) may have failed." 1>&2;
+ $echo The command "cmp 9.O $srcdir/9.X" failed. 1>&2 ;
errors=`expr $errors + 1` ;;
esac
fi
-test -s ti.err || rm -f ti.err
-$xx -d '[:digit:]' < $srcdir/tj.in > tj.out 2> tj.err
+test -s 9.E || rm -f 9.E
+cat $srcdir/a.I | $xx -s '[a-z]' > a.O 2> a.E
code=$?
if test $code != 0 ; then
- $echo "Test j failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ $echo "Test a(|) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
errors=`expr $errors + 1`
else
- cmp tj.out $srcdir/tj.exp
+ cmp a.O $srcdir/a.X
case $? in
- 0) if test "$VERBOSE" ; then $echo "passed j"; fi ;;
- 1) $echo "Test j failed: files tj.out and $srcdir/tj.exp differ" 1>&2;
+ 0) if test "$VERBOSE" ; then $echo "passed a(|)"; fi ;;
+ 1) $echo "Test a(|) failed: files a.O and $srcdir/a.X differ" 1>&2;
errors=`expr $errors + 1` ;;
- 2) $echo "Test j may have failed." 1>&2;
- $echo The command "cmp tj.out $srcdir/tj.exp" failed. 1>&2 ;
+ 2) $echo "Test a(|) may have failed." 1>&2;
+ $echo The command "cmp a.O $srcdir/a.X" failed. 1>&2 ;
errors=`expr $errors + 1` ;;
esac
fi
-test -s tj.err || rm -f tj.err
-$xx -d '[:digit:]' < $srcdir/tk.in > tk.out 2> tk.err
+test -s a.E || rm -f a.E
+$xx -s '[a-z]' < $srcdir/a.I > a.O 2> a.E
code=$?
if test $code != 0 ; then
- $echo "Test k failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ $echo "Test a(<) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
errors=`expr $errors + 1`
else
- cmp tk.out $srcdir/tk.exp
+ cmp a.O $srcdir/a.X
case $? in
- 0) if test "$VERBOSE" ; then $echo "passed k"; fi ;;
- 1) $echo "Test k failed: files tk.out and $srcdir/tk.exp differ" 1>&2;
+ 0) if test "$VERBOSE" ; then $echo "passed a(<)"; fi ;;
+ 1) $echo "Test a(<) failed: files a.O and $srcdir/a.X differ" 1>&2;
errors=`expr $errors + 1` ;;
- 2) $echo "Test k may have failed." 1>&2;
- $echo The command "cmp tk.out $srcdir/tk.exp" failed. 1>&2 ;
+ 2) $echo "Test a(<) may have failed." 1>&2;
+ $echo The command "cmp a.O $srcdir/a.X" failed. 1>&2 ;
errors=`expr $errors + 1` ;;
esac
fi
-test -s tk.err || rm -f tk.err
-$xx -d '[:lower:]' < $srcdir/tl.in > tl.out 2> tl.err
+test -s a.E || rm -f a.E
+cat $srcdir/b.I | $xx -s '[a-c]' > b.O 2> b.E
code=$?
if test $code != 0 ; then
- $echo "Test l failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ $echo "Test b(|) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
errors=`expr $errors + 1`
else
- cmp tl.out $srcdir/tl.exp
+ cmp b.O $srcdir/b.X
case $? in
- 0) if test "$VERBOSE" ; then $echo "passed l"; fi ;;
- 1) $echo "Test l failed: files tl.out and $srcdir/tl.exp differ" 1>&2;
+ 0) if test "$VERBOSE" ; then $echo "passed b(|)"; fi ;;
+ 1) $echo "Test b(|) failed: files b.O and $srcdir/b.X differ" 1>&2;
errors=`expr $errors + 1` ;;
- 2) $echo "Test l may have failed." 1>&2;
- $echo The command "cmp tl.out $srcdir/tl.exp" failed. 1>&2 ;
+ 2) $echo "Test b(|) may have failed." 1>&2;
+ $echo The command "cmp b.O $srcdir/b.X" failed. 1>&2 ;
errors=`expr $errors + 1` ;;
esac
fi
-test -s tl.err || rm -f tl.err
-$xx -d '[:upper:]' < $srcdir/tm.in > tm.out 2> tm.err
+test -s b.E || rm -f b.E
+$xx -s '[a-c]' < $srcdir/b.I > b.O 2> b.E
code=$?
if test $code != 0 ; then
- $echo "Test m failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ $echo "Test b(<) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
errors=`expr $errors + 1`
else
- cmp tm.out $srcdir/tm.exp
+ cmp b.O $srcdir/b.X
case $? in
- 0) if test "$VERBOSE" ; then $echo "passed m"; fi ;;
- 1) $echo "Test m failed: files tm.out and $srcdir/tm.exp differ" 1>&2;
+ 0) if test "$VERBOSE" ; then $echo "passed b(<)"; fi ;;
+ 1) $echo "Test b(<) failed: files b.O and $srcdir/b.X differ" 1>&2;
errors=`expr $errors + 1` ;;
- 2) $echo "Test m may have failed." 1>&2;
- $echo The command "cmp tm.out $srcdir/tm.exp" failed. 1>&2 ;
+ 2) $echo "Test b(<) may have failed." 1>&2;
+ $echo The command "cmp b.O $srcdir/b.X" failed. 1>&2 ;
errors=`expr $errors + 1` ;;
esac
fi
-test -s tm.err || rm -f tm.err
-$xx -d '[:lower:][:upper:]' < $srcdir/tn.in > tn.out 2> tn.err
+test -s b.E || rm -f b.E
+cat $srcdir/c.I | $xx -s '[a-b]' > c.O 2> c.E
code=$?
if test $code != 0 ; then
- $echo "Test n failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ $echo "Test c(|) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
errors=`expr $errors + 1`
else
- cmp tn.out $srcdir/tn.exp
+ cmp c.O $srcdir/c.X
case $? in
- 0) if test "$VERBOSE" ; then $echo "passed n"; fi ;;
- 1) $echo "Test n failed: files tn.out and $srcdir/tn.exp differ" 1>&2;
+ 0) if test "$VERBOSE" ; then $echo "passed c(|)"; fi ;;
+ 1) $echo "Test c(|) failed: files c.O and $srcdir/c.X differ" 1>&2;
errors=`expr $errors + 1` ;;
- 2) $echo "Test n may have failed." 1>&2;
- $echo The command "cmp tn.out $srcdir/tn.exp" failed. 1>&2 ;
+ 2) $echo "Test c(|) may have failed." 1>&2;
+ $echo The command "cmp c.O $srcdir/c.X" failed. 1>&2 ;
errors=`expr $errors + 1` ;;
esac
fi
-test -s tn.err || rm -f tn.err
-$xx -d '[:alpha:]' < $srcdir/to.in > to.out 2> to.err
+test -s c.E || rm -f c.E
+$xx -s '[a-b]' < $srcdir/c.I > c.O 2> c.E
code=$?
if test $code != 0 ; then
- $echo "Test o failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ $echo "Test c(<) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
errors=`expr $errors + 1`
else
- cmp to.out $srcdir/to.exp
+ cmp c.O $srcdir/c.X
case $? in
- 0) if test "$VERBOSE" ; then $echo "passed o"; fi ;;
- 1) $echo "Test o failed: files to.out and $srcdir/to.exp differ" 1>&2;
+ 0) if test "$VERBOSE" ; then $echo "passed c(<)"; fi ;;
+ 1) $echo "Test c(<) failed: files c.O and $srcdir/c.X differ" 1>&2;
errors=`expr $errors + 1` ;;
- 2) $echo "Test o may have failed." 1>&2;
- $echo The command "cmp to.out $srcdir/to.exp" failed. 1>&2 ;
+ 2) $echo "Test c(<) may have failed." 1>&2;
+ $echo The command "cmp c.O $srcdir/c.X" failed. 1>&2 ;
errors=`expr $errors + 1` ;;
esac
fi
-test -s to.err || rm -f to.err
-$xx -d '[:alnum:]' < $srcdir/tp.in > tp.out 2> tp.err
+test -s c.E || rm -f c.E
+cat $srcdir/d.I | $xx -s '[b-c]' > d.O 2> d.E
code=$?
if test $code != 0 ; then
- $echo "Test p failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ $echo "Test d(|) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
errors=`expr $errors + 1`
else
- cmp tp.out $srcdir/tp.exp
+ cmp d.O $srcdir/d.X
case $? in
- 0) if test "$VERBOSE" ; then $echo "passed p"; fi ;;
- 1) $echo "Test p failed: files tp.out and $srcdir/tp.exp differ" 1>&2;
+ 0) if test "$VERBOSE" ; then $echo "passed d(|)"; fi ;;
+ 1) $echo "Test d(|) failed: files d.O and $srcdir/d.X differ" 1>&2;
errors=`expr $errors + 1` ;;
- 2) $echo "Test p may have failed." 1>&2;
- $echo The command "cmp tp.out $srcdir/tp.exp" failed. 1>&2 ;
+ 2) $echo "Test d(|) may have failed." 1>&2;
+ $echo The command "cmp d.O $srcdir/d.X" failed. 1>&2 ;
errors=`expr $errors + 1` ;;
esac
fi
-test -s tp.err || rm -f tp.err
-$xx -d '[:alnum:]' < $srcdir/tq.in > tq.out 2> tq.err
+test -s d.E || rm -f d.E
+$xx -s '[b-c]' < $srcdir/d.I > d.O 2> d.E
code=$?
if test $code != 0 ; then
- $echo "Test q failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ $echo "Test d(<) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
errors=`expr $errors + 1`
else
- cmp tq.out $srcdir/tq.exp
+ cmp d.O $srcdir/d.X
case $? in
- 0) if test "$VERBOSE" ; then $echo "passed q"; fi ;;
- 1) $echo "Test q failed: files tq.out and $srcdir/tq.exp differ" 1>&2;
+ 0) if test "$VERBOSE" ; then $echo "passed d(<)"; fi ;;
+ 1) $echo "Test d(<) failed: files d.O and $srcdir/d.X differ" 1>&2;
errors=`expr $errors + 1` ;;
- 2) $echo "Test q may have failed." 1>&2;
- $echo The command "cmp tq.out $srcdir/tq.exp" failed. 1>&2 ;
+ 2) $echo "Test d(<) may have failed." 1>&2;
+ $echo The command "cmp d.O $srcdir/d.X" failed. 1>&2 ;
errors=`expr $errors + 1` ;;
esac
fi
-test -s tq.err || rm -f tq.err
-$xx -ds '[:alnum:]' '.' < $srcdir/tr.in > tr.out 2> tr.err
+test -s d.E || rm -f d.E
+cat $srcdir/e.I | $xx -s '[\0-\5]' > e.O 2> e.E
code=$?
if test $code != 0 ; then
- $echo "Test r failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ $echo "Test e(|) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
errors=`expr $errors + 1`
else
- cmp tr.out $srcdir/tr.exp
+ cmp e.O $srcdir/e.X
case $? in
- 0) if test "$VERBOSE" ; then $echo "passed r"; fi ;;
- 1) $echo "Test r failed: files tr.out and $srcdir/tr.exp differ" 1>&2;
+ 0) if test "$VERBOSE" ; then $echo "passed e(|)"; fi ;;
+ 1) $echo "Test e(|) failed: files e.O and $srcdir/e.X differ" 1>&2;
errors=`expr $errors + 1` ;;
- 2) $echo "Test r may have failed." 1>&2;
- $echo The command "cmp tr.out $srcdir/tr.exp" failed. 1>&2 ;
+ 2) $echo "Test e(|) may have failed." 1>&2;
+ $echo The command "cmp e.O $srcdir/e.X" failed. 1>&2 ;
errors=`expr $errors + 1` ;;
esac
fi
-test -s tr.err || rm -f tr.err
-$xx -cs '[:alnum:]' '\n' < $srcdir/ts.in > ts.out 2> ts.err
+test -s e.E || rm -f e.E
+$xx -s '[\0-\5]' < $srcdir/e.I > e.O 2> e.E
code=$?
if test $code != 0 ; then
- $echo "Test s failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ $echo "Test e(<) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
errors=`expr $errors + 1`
else
- cmp ts.out $srcdir/ts.exp
+ cmp e.O $srcdir/e.X
case $? in
- 0) if test "$VERBOSE" ; then $echo "passed s"; fi ;;
- 1) $echo "Test s failed: files ts.out and $srcdir/ts.exp differ" 1>&2;
+ 0) if test "$VERBOSE" ; then $echo "passed e(<)"; fi ;;
+ 1) $echo "Test e(<) failed: files e.O and $srcdir/e.X differ" 1>&2;
errors=`expr $errors + 1` ;;
- 2) $echo "Test s may have failed." 1>&2;
- $echo The command "cmp ts.out $srcdir/ts.exp" failed. 1>&2 ;
+ 2) $echo "Test e(<) may have failed." 1>&2;
+ $echo The command "cmp e.O $srcdir/e.X" failed. 1>&2 ;
errors=`expr $errors + 1` ;;
esac
fi
-test -s ts.err || rm -f ts.err
-$xx -cs '[:alnum:]' '[\n*]' < $srcdir/tt.in > tt.out 2> tt.err
+test -s e.E || rm -f e.E
+cat $srcdir/f.I | $xx -d '[=[=]' > f.O 2> f.E
code=$?
if test $code != 0 ; then
- $echo "Test t failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ $echo "Test f(|) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
errors=`expr $errors + 1`
else
- cmp tt.out $srcdir/tt.exp
+ cmp f.O $srcdir/f.X
case $? in
- 0) if test "$VERBOSE" ; then $echo "passed t"; fi ;;
- 1) $echo "Test t failed: files tt.out and $srcdir/tt.exp differ" 1>&2;
+ 0) if test "$VERBOSE" ; then $echo "passed f(|)"; fi ;;
+ 1) $echo "Test f(|) failed: files f.O and $srcdir/f.X differ" 1>&2;
errors=`expr $errors + 1` ;;
- 2) $echo "Test t may have failed." 1>&2;
- $echo The command "cmp tt.out $srcdir/tt.exp" failed. 1>&2 ;
+ 2) $echo "Test f(|) may have failed." 1>&2;
+ $echo The command "cmp f.O $srcdir/f.X" failed. 1>&2 ;
errors=`expr $errors + 1` ;;
esac
fi
-test -s tt.err || rm -f tt.err
-$xx -ds 'b' 'a' < $srcdir/tu.in > tu.out 2> tu.err
+test -s f.E || rm -f f.E
+$xx -d '[=[=]' < $srcdir/f.I > f.O 2> f.E
code=$?
if test $code != 0 ; then
- $echo "Test u failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ $echo "Test f(<) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
errors=`expr $errors + 1`
else
- cmp tu.out $srcdir/tu.exp
+ cmp f.O $srcdir/f.X
case $? in
- 0) if test "$VERBOSE" ; then $echo "passed u"; fi ;;
- 1) $echo "Test u failed: files tu.out and $srcdir/tu.exp differ" 1>&2;
+ 0) if test "$VERBOSE" ; then $echo "passed f(<)"; fi ;;
+ 1) $echo "Test f(<) failed: files f.O and $srcdir/f.X differ" 1>&2;
errors=`expr $errors + 1` ;;
- 2) $echo "Test u may have failed." 1>&2;
- $echo The command "cmp tu.out $srcdir/tu.exp" failed. 1>&2 ;
+ 2) $echo "Test f(<) may have failed." 1>&2;
+ $echo The command "cmp f.O $srcdir/f.X" failed. 1>&2 ;
errors=`expr $errors + 1` ;;
esac
fi
-test -s tu.err || rm -f tu.err
-$xx -ds '[:xdigit:]' 'Z' < $srcdir/tv.in > tv.out 2> tv.err
+test -s f.E || rm -f f.E
+cat $srcdir/g.I | $xx -d '[=]=]' > g.O 2> g.E
code=$?
if test $code != 0 ; then
- $echo "Test v failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ $echo "Test g(|) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
errors=`expr $errors + 1`
else
- cmp tv.out $srcdir/tv.exp
+ cmp g.O $srcdir/g.X
case $? in
- 0) if test "$VERBOSE" ; then $echo "passed v"; fi ;;
- 1) $echo "Test v failed: files tv.out and $srcdir/tv.exp differ" 1>&2;
+ 0) if test "$VERBOSE" ; then $echo "passed g(|)"; fi ;;
+ 1) $echo "Test g(|) failed: files g.O and $srcdir/g.X differ" 1>&2;
errors=`expr $errors + 1` ;;
- 2) $echo "Test v may have failed." 1>&2;
- $echo The command "cmp tv.out $srcdir/tv.exp" failed. 1>&2 ;
+ 2) $echo "Test g(|) may have failed." 1>&2;
+ $echo The command "cmp g.O $srcdir/g.X" failed. 1>&2 ;
errors=`expr $errors + 1` ;;
esac
fi
-test -s tv.err || rm -f tv.err
-$xx -ds '\350' '\345' < $srcdir/tw.in > tw.out 2> tw.err
+test -s g.E || rm -f g.E
+$xx -d '[=]=]' < $srcdir/g.I > g.O 2> g.E
code=$?
if test $code != 0 ; then
- $echo "Test w failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ $echo "Test g(<) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
errors=`expr $errors + 1`
else
- cmp tw.out $srcdir/tw.exp
+ cmp g.O $srcdir/g.X
case $? in
- 0) if test "$VERBOSE" ; then $echo "passed w"; fi ;;
- 1) $echo "Test w failed: files tw.out and $srcdir/tw.exp differ" 1>&2;
+ 0) if test "$VERBOSE" ; then $echo "passed g(<)"; fi ;;
+ 1) $echo "Test g(<) failed: files g.O and $srcdir/g.X differ" 1>&2;
errors=`expr $errors + 1` ;;
- 2) $echo "Test w may have failed." 1>&2;
- $echo The command "cmp tw.out $srcdir/tw.exp" failed. 1>&2 ;
+ 2) $echo "Test g(<) may have failed." 1>&2;
+ $echo The command "cmp g.O $srcdir/g.X" failed. 1>&2 ;
errors=`expr $errors + 1` ;;
esac
fi
-test -s tw.err || rm -f tw.err
-$xx -s 'abcdefghijklmn' '[:*016]' < $srcdir/tx.in > tx.out 2> tx.err
+test -s g.E || rm -f g.E
+cat $srcdir/h.I | $xx -d '[:xdigit:]' > h.O 2> h.E
code=$?
if test $code != 0 ; then
- $echo "Test x failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ $echo "Test h(|) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
errors=`expr $errors + 1`
else
- cmp tx.out $srcdir/tx.exp
+ cmp h.O $srcdir/h.X
case $? in
- 0) if test "$VERBOSE" ; then $echo "passed x"; fi ;;
- 1) $echo "Test x failed: files tx.out and $srcdir/tx.exp differ" 1>&2;
+ 0) if test "$VERBOSE" ; then $echo "passed h(|)"; fi ;;
+ 1) $echo "Test h(|) failed: files h.O and $srcdir/h.X differ" 1>&2;
errors=`expr $errors + 1` ;;
- 2) $echo "Test x may have failed." 1>&2;
- $echo The command "cmp tx.out $srcdir/tx.exp" failed. 1>&2 ;
+ 2) $echo "Test h(|) may have failed." 1>&2;
+ $echo The command "cmp h.O $srcdir/h.X" failed. 1>&2 ;
errors=`expr $errors + 1` ;;
esac
fi
-test -s tx.err || rm -f tx.err
-$xx -d 'a-z' < $srcdir/ty.in > ty.out 2> ty.err
+test -s h.E || rm -f h.E
+$xx -d '[:xdigit:]' < $srcdir/h.I > h.O 2> h.E
code=$?
if test $code != 0 ; then
- $echo "Test y failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ $echo "Test h(<) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
errors=`expr $errors + 1`
else
- cmp ty.out $srcdir/ty.exp
+ cmp h.O $srcdir/h.X
case $? in
- 0) if test "$VERBOSE" ; then $echo "passed y"; fi ;;
- 1) $echo "Test y failed: files ty.out and $srcdir/ty.exp differ" 1>&2;
+ 0) if test "$VERBOSE" ; then $echo "passed h(<)"; fi ;;
+ 1) $echo "Test h(<) failed: files h.O and $srcdir/h.X differ" 1>&2;
errors=`expr $errors + 1` ;;
- 2) $echo "Test y may have failed." 1>&2;
- $echo The command "cmp ty.out $srcdir/ty.exp" failed. 1>&2 ;
+ 2) $echo "Test h(<) may have failed." 1>&2;
+ $echo The command "cmp h.O $srcdir/h.X" failed. 1>&2 ;
errors=`expr $errors + 1` ;;
esac
fi
-test -s ty.err || rm -f ty.err
-$xx -ds 'a-z' '$.' < $srcdir/tz.in > tz.out 2> tz.err
+test -s h.E || rm -f h.E
+cat $srcdir/i.I | $xx -d '[:xdigit:]' > i.O 2> i.E
code=$?
if test $code != 0 ; then
- $echo "Test z failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ $echo "Test i(|) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
errors=`expr $errors + 1`
else
- cmp tz.out $srcdir/tz.exp
+ cmp i.O $srcdir/i.X
case $? in
- 0) if test "$VERBOSE" ; then $echo "passed z"; fi ;;
- 1) $echo "Test z failed: files tz.out and $srcdir/tz.exp differ" 1>&2;
+ 0) if test "$VERBOSE" ; then $echo "passed i(|)"; fi ;;
+ 1) $echo "Test i(|) failed: files i.O and $srcdir/i.X differ" 1>&2;
errors=`expr $errors + 1` ;;
- 2) $echo "Test z may have failed." 1>&2;
- $echo The command "cmp tz.out $srcdir/tz.exp" failed. 1>&2 ;
+ 2) $echo "Test i(|) may have failed." 1>&2;
+ $echo The command "cmp i.O $srcdir/i.X" failed. 1>&2 ;
errors=`expr $errors + 1` ;;
esac
fi
-test -s tz.err || rm -f tz.err
-$xx 'a-a' 'z' < $srcdir/trange-a-a.in > trange-a-a.out 2> trange-a-a.err
+test -s i.E || rm -f i.E
+$xx -d '[:xdigit:]' < $srcdir/i.I > i.O 2> i.E
code=$?
if test $code != 0 ; then
- $echo "Test range-a-a failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ $echo "Test i(<) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
errors=`expr $errors + 1`
else
- cmp trange-a-a.out $srcdir/trange-a-a.exp
+ cmp i.O $srcdir/i.X
case $? in
- 0) if test "$VERBOSE" ; then $echo "passed range-a-a"; fi ;;
- 1) $echo "Test range-a-a failed: files trange-a-a.out and $srcdir/trange-a-a.exp differ" 1>&2;
+ 0) if test "$VERBOSE" ; then $echo "passed i(<)"; fi ;;
+ 1) $echo "Test i(<) failed: files i.O and $srcdir/i.X differ" 1>&2;
errors=`expr $errors + 1` ;;
- 2) $echo "Test range-a-a may have failed." 1>&2;
- $echo The command "cmp trange-a-a.out $srcdir/trange-a-a.exp" failed. 1>&2 ;
+ 2) $echo "Test i(<) may have failed." 1>&2;
+ $echo The command "cmp i.O $srcdir/i.X" failed. 1>&2 ;
errors=`expr $errors + 1` ;;
esac
fi
-test -s trange-a-a.err || rm -f trange-a-a.err
-$xx 'a' '''' < $srcdir/tnull.in > tnull.out 2> tnull.err
+test -s i.E || rm -f i.E
+cat $srcdir/j.I | $xx -d '[:digit:]' > j.O 2> j.E
+code=$?
+if test $code != 0 ; then
+ $echo "Test j(|) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ errors=`expr $errors + 1`
+else
+ cmp j.O $srcdir/j.X
+ case $? in
+ 0) if test "$VERBOSE" ; then $echo "passed j(|)"; fi ;;
+ 1) $echo "Test j(|) failed: files j.O and $srcdir/j.X differ" 1>&2;
+ errors=`expr $errors + 1` ;;
+ 2) $echo "Test j(|) may have failed." 1>&2;
+ $echo The command "cmp j.O $srcdir/j.X" failed. 1>&2 ;
+ errors=`expr $errors + 1` ;;
+ esac
+fi
+test -s j.E || rm -f j.E
+$xx -d '[:digit:]' < $srcdir/j.I > j.O 2> j.E
+code=$?
+if test $code != 0 ; then
+ $echo "Test j(<) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ errors=`expr $errors + 1`
+else
+ cmp j.O $srcdir/j.X
+ case $? in
+ 0) if test "$VERBOSE" ; then $echo "passed j(<)"; fi ;;
+ 1) $echo "Test j(<) failed: files j.O and $srcdir/j.X differ" 1>&2;
+ errors=`expr $errors + 1` ;;
+ 2) $echo "Test j(<) may have failed." 1>&2;
+ $echo The command "cmp j.O $srcdir/j.X" failed. 1>&2 ;
+ errors=`expr $errors + 1` ;;
+ esac
+fi
+test -s j.E || rm -f j.E
+cat $srcdir/k.I | $xx -d '[:digit:]' > k.O 2> k.E
+code=$?
+if test $code != 0 ; then
+ $echo "Test k(|) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ errors=`expr $errors + 1`
+else
+ cmp k.O $srcdir/k.X
+ case $? in
+ 0) if test "$VERBOSE" ; then $echo "passed k(|)"; fi ;;
+ 1) $echo "Test k(|) failed: files k.O and $srcdir/k.X differ" 1>&2;
+ errors=`expr $errors + 1` ;;
+ 2) $echo "Test k(|) may have failed." 1>&2;
+ $echo The command "cmp k.O $srcdir/k.X" failed. 1>&2 ;
+ errors=`expr $errors + 1` ;;
+ esac
+fi
+test -s k.E || rm -f k.E
+$xx -d '[:digit:]' < $srcdir/k.I > k.O 2> k.E
+code=$?
+if test $code != 0 ; then
+ $echo "Test k(<) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ errors=`expr $errors + 1`
+else
+ cmp k.O $srcdir/k.X
+ case $? in
+ 0) if test "$VERBOSE" ; then $echo "passed k(<)"; fi ;;
+ 1) $echo "Test k(<) failed: files k.O and $srcdir/k.X differ" 1>&2;
+ errors=`expr $errors + 1` ;;
+ 2) $echo "Test k(<) may have failed." 1>&2;
+ $echo The command "cmp k.O $srcdir/k.X" failed. 1>&2 ;
+ errors=`expr $errors + 1` ;;
+ esac
+fi
+test -s k.E || rm -f k.E
+cat $srcdir/l.I | $xx -d '[:lower:]' > l.O 2> l.E
+code=$?
+if test $code != 0 ; then
+ $echo "Test l(|) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ errors=`expr $errors + 1`
+else
+ cmp l.O $srcdir/l.X
+ case $? in
+ 0) if test "$VERBOSE" ; then $echo "passed l(|)"; fi ;;
+ 1) $echo "Test l(|) failed: files l.O and $srcdir/l.X differ" 1>&2;
+ errors=`expr $errors + 1` ;;
+ 2) $echo "Test l(|) may have failed." 1>&2;
+ $echo The command "cmp l.O $srcdir/l.X" failed. 1>&2 ;
+ errors=`expr $errors + 1` ;;
+ esac
+fi
+test -s l.E || rm -f l.E
+$xx -d '[:lower:]' < $srcdir/l.I > l.O 2> l.E
+code=$?
+if test $code != 0 ; then
+ $echo "Test l(<) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ errors=`expr $errors + 1`
+else
+ cmp l.O $srcdir/l.X
+ case $? in
+ 0) if test "$VERBOSE" ; then $echo "passed l(<)"; fi ;;
+ 1) $echo "Test l(<) failed: files l.O and $srcdir/l.X differ" 1>&2;
+ errors=`expr $errors + 1` ;;
+ 2) $echo "Test l(<) may have failed." 1>&2;
+ $echo The command "cmp l.O $srcdir/l.X" failed. 1>&2 ;
+ errors=`expr $errors + 1` ;;
+ esac
+fi
+test -s l.E || rm -f l.E
+cat $srcdir/m.I | $xx -d '[:upper:]' > m.O 2> m.E
+code=$?
+if test $code != 0 ; then
+ $echo "Test m(|) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ errors=`expr $errors + 1`
+else
+ cmp m.O $srcdir/m.X
+ case $? in
+ 0) if test "$VERBOSE" ; then $echo "passed m(|)"; fi ;;
+ 1) $echo "Test m(|) failed: files m.O and $srcdir/m.X differ" 1>&2;
+ errors=`expr $errors + 1` ;;
+ 2) $echo "Test m(|) may have failed." 1>&2;
+ $echo The command "cmp m.O $srcdir/m.X" failed. 1>&2 ;
+ errors=`expr $errors + 1` ;;
+ esac
+fi
+test -s m.E || rm -f m.E
+$xx -d '[:upper:]' < $srcdir/m.I > m.O 2> m.E
+code=$?
+if test $code != 0 ; then
+ $echo "Test m(<) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ errors=`expr $errors + 1`
+else
+ cmp m.O $srcdir/m.X
+ case $? in
+ 0) if test "$VERBOSE" ; then $echo "passed m(<)"; fi ;;
+ 1) $echo "Test m(<) failed: files m.O and $srcdir/m.X differ" 1>&2;
+ errors=`expr $errors + 1` ;;
+ 2) $echo "Test m(<) may have failed." 1>&2;
+ $echo The command "cmp m.O $srcdir/m.X" failed. 1>&2 ;
+ errors=`expr $errors + 1` ;;
+ esac
+fi
+test -s m.E || rm -f m.E
+cat $srcdir/n.I | $xx -d '[:lower:][:upper:]' > n.O 2> n.E
+code=$?
+if test $code != 0 ; then
+ $echo "Test n(|) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ errors=`expr $errors + 1`
+else
+ cmp n.O $srcdir/n.X
+ case $? in
+ 0) if test "$VERBOSE" ; then $echo "passed n(|)"; fi ;;
+ 1) $echo "Test n(|) failed: files n.O and $srcdir/n.X differ" 1>&2;
+ errors=`expr $errors + 1` ;;
+ 2) $echo "Test n(|) may have failed." 1>&2;
+ $echo The command "cmp n.O $srcdir/n.X" failed. 1>&2 ;
+ errors=`expr $errors + 1` ;;
+ esac
+fi
+test -s n.E || rm -f n.E
+$xx -d '[:lower:][:upper:]' < $srcdir/n.I > n.O 2> n.E
+code=$?
+if test $code != 0 ; then
+ $echo "Test n(<) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ errors=`expr $errors + 1`
+else
+ cmp n.O $srcdir/n.X
+ case $? in
+ 0) if test "$VERBOSE" ; then $echo "passed n(<)"; fi ;;
+ 1) $echo "Test n(<) failed: files n.O and $srcdir/n.X differ" 1>&2;
+ errors=`expr $errors + 1` ;;
+ 2) $echo "Test n(<) may have failed." 1>&2;
+ $echo The command "cmp n.O $srcdir/n.X" failed. 1>&2 ;
+ errors=`expr $errors + 1` ;;
+ esac
+fi
+test -s n.E || rm -f n.E
+cat $srcdir/o.I | $xx -d '[:alpha:]' > o.O 2> o.E
+code=$?
+if test $code != 0 ; then
+ $echo "Test o(|) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ errors=`expr $errors + 1`
+else
+ cmp o.O $srcdir/o.X
+ case $? in
+ 0) if test "$VERBOSE" ; then $echo "passed o(|)"; fi ;;
+ 1) $echo "Test o(|) failed: files o.O and $srcdir/o.X differ" 1>&2;
+ errors=`expr $errors + 1` ;;
+ 2) $echo "Test o(|) may have failed." 1>&2;
+ $echo The command "cmp o.O $srcdir/o.X" failed. 1>&2 ;
+ errors=`expr $errors + 1` ;;
+ esac
+fi
+test -s o.E || rm -f o.E
+$xx -d '[:alpha:]' < $srcdir/o.I > o.O 2> o.E
+code=$?
+if test $code != 0 ; then
+ $echo "Test o(<) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ errors=`expr $errors + 1`
+else
+ cmp o.O $srcdir/o.X
+ case $? in
+ 0) if test "$VERBOSE" ; then $echo "passed o(<)"; fi ;;
+ 1) $echo "Test o(<) failed: files o.O and $srcdir/o.X differ" 1>&2;
+ errors=`expr $errors + 1` ;;
+ 2) $echo "Test o(<) may have failed." 1>&2;
+ $echo The command "cmp o.O $srcdir/o.X" failed. 1>&2 ;
+ errors=`expr $errors + 1` ;;
+ esac
+fi
+test -s o.E || rm -f o.E
+cat $srcdir/p.I | $xx -d '[:alnum:]' > p.O 2> p.E
+code=$?
+if test $code != 0 ; then
+ $echo "Test p(|) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ errors=`expr $errors + 1`
+else
+ cmp p.O $srcdir/p.X
+ case $? in
+ 0) if test "$VERBOSE" ; then $echo "passed p(|)"; fi ;;
+ 1) $echo "Test p(|) failed: files p.O and $srcdir/p.X differ" 1>&2;
+ errors=`expr $errors + 1` ;;
+ 2) $echo "Test p(|) may have failed." 1>&2;
+ $echo The command "cmp p.O $srcdir/p.X" failed. 1>&2 ;
+ errors=`expr $errors + 1` ;;
+ esac
+fi
+test -s p.E || rm -f p.E
+$xx -d '[:alnum:]' < $srcdir/p.I > p.O 2> p.E
+code=$?
+if test $code != 0 ; then
+ $echo "Test p(<) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ errors=`expr $errors + 1`
+else
+ cmp p.O $srcdir/p.X
+ case $? in
+ 0) if test "$VERBOSE" ; then $echo "passed p(<)"; fi ;;
+ 1) $echo "Test p(<) failed: files p.O and $srcdir/p.X differ" 1>&2;
+ errors=`expr $errors + 1` ;;
+ 2) $echo "Test p(<) may have failed." 1>&2;
+ $echo The command "cmp p.O $srcdir/p.X" failed. 1>&2 ;
+ errors=`expr $errors + 1` ;;
+ esac
+fi
+test -s p.E || rm -f p.E
+cat $srcdir/q.I | $xx -d '[:alnum:]' > q.O 2> q.E
+code=$?
+if test $code != 0 ; then
+ $echo "Test q(|) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ errors=`expr $errors + 1`
+else
+ cmp q.O $srcdir/q.X
+ case $? in
+ 0) if test "$VERBOSE" ; then $echo "passed q(|)"; fi ;;
+ 1) $echo "Test q(|) failed: files q.O and $srcdir/q.X differ" 1>&2;
+ errors=`expr $errors + 1` ;;
+ 2) $echo "Test q(|) may have failed." 1>&2;
+ $echo The command "cmp q.O $srcdir/q.X" failed. 1>&2 ;
+ errors=`expr $errors + 1` ;;
+ esac
+fi
+test -s q.E || rm -f q.E
+$xx -d '[:alnum:]' < $srcdir/q.I > q.O 2> q.E
+code=$?
+if test $code != 0 ; then
+ $echo "Test q(<) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ errors=`expr $errors + 1`
+else
+ cmp q.O $srcdir/q.X
+ case $? in
+ 0) if test "$VERBOSE" ; then $echo "passed q(<)"; fi ;;
+ 1) $echo "Test q(<) failed: files q.O and $srcdir/q.X differ" 1>&2;
+ errors=`expr $errors + 1` ;;
+ 2) $echo "Test q(<) may have failed." 1>&2;
+ $echo The command "cmp q.O $srcdir/q.X" failed. 1>&2 ;
+ errors=`expr $errors + 1` ;;
+ esac
+fi
+test -s q.E || rm -f q.E
+cat $srcdir/r.I | $xx -ds '[:alnum:]' '.' > r.O 2> r.E
+code=$?
+if test $code != 0 ; then
+ $echo "Test r(|) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ errors=`expr $errors + 1`
+else
+ cmp r.O $srcdir/r.X
+ case $? in
+ 0) if test "$VERBOSE" ; then $echo "passed r(|)"; fi ;;
+ 1) $echo "Test r(|) failed: files r.O and $srcdir/r.X differ" 1>&2;
+ errors=`expr $errors + 1` ;;
+ 2) $echo "Test r(|) may have failed." 1>&2;
+ $echo The command "cmp r.O $srcdir/r.X" failed. 1>&2 ;
+ errors=`expr $errors + 1` ;;
+ esac
+fi
+test -s r.E || rm -f r.E
+$xx -ds '[:alnum:]' '.' < $srcdir/r.I > r.O 2> r.E
+code=$?
+if test $code != 0 ; then
+ $echo "Test r(<) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ errors=`expr $errors + 1`
+else
+ cmp r.O $srcdir/r.X
+ case $? in
+ 0) if test "$VERBOSE" ; then $echo "passed r(<)"; fi ;;
+ 1) $echo "Test r(<) failed: files r.O and $srcdir/r.X differ" 1>&2;
+ errors=`expr $errors + 1` ;;
+ 2) $echo "Test r(<) may have failed." 1>&2;
+ $echo The command "cmp r.O $srcdir/r.X" failed. 1>&2 ;
+ errors=`expr $errors + 1` ;;
+ esac
+fi
+test -s r.E || rm -f r.E
+cat $srcdir/s.I | $xx -cs '[:alnum:]' '\n' > s.O 2> s.E
+code=$?
+if test $code != 0 ; then
+ $echo "Test s(|) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ errors=`expr $errors + 1`
+else
+ cmp s.O $srcdir/s.X
+ case $? in
+ 0) if test "$VERBOSE" ; then $echo "passed s(|)"; fi ;;
+ 1) $echo "Test s(|) failed: files s.O and $srcdir/s.X differ" 1>&2;
+ errors=`expr $errors + 1` ;;
+ 2) $echo "Test s(|) may have failed." 1>&2;
+ $echo The command "cmp s.O $srcdir/s.X" failed. 1>&2 ;
+ errors=`expr $errors + 1` ;;
+ esac
+fi
+test -s s.E || rm -f s.E
+$xx -cs '[:alnum:]' '\n' < $srcdir/s.I > s.O 2> s.E
+code=$?
+if test $code != 0 ; then
+ $echo "Test s(<) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ errors=`expr $errors + 1`
+else
+ cmp s.O $srcdir/s.X
+ case $? in
+ 0) if test "$VERBOSE" ; then $echo "passed s(<)"; fi ;;
+ 1) $echo "Test s(<) failed: files s.O and $srcdir/s.X differ" 1>&2;
+ errors=`expr $errors + 1` ;;
+ 2) $echo "Test s(<) may have failed." 1>&2;
+ $echo The command "cmp s.O $srcdir/s.X" failed. 1>&2 ;
+ errors=`expr $errors + 1` ;;
+ esac
+fi
+test -s s.E || rm -f s.E
+cat $srcdir/t.I | $xx -cs '[:alnum:]' '[\n*]' > t.O 2> t.E
+code=$?
+if test $code != 0 ; then
+ $echo "Test t(|) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ errors=`expr $errors + 1`
+else
+ cmp t.O $srcdir/t.X
+ case $? in
+ 0) if test "$VERBOSE" ; then $echo "passed t(|)"; fi ;;
+ 1) $echo "Test t(|) failed: files t.O and $srcdir/t.X differ" 1>&2;
+ errors=`expr $errors + 1` ;;
+ 2) $echo "Test t(|) may have failed." 1>&2;
+ $echo The command "cmp t.O $srcdir/t.X" failed. 1>&2 ;
+ errors=`expr $errors + 1` ;;
+ esac
+fi
+test -s t.E || rm -f t.E
+$xx -cs '[:alnum:]' '[\n*]' < $srcdir/t.I > t.O 2> t.E
+code=$?
+if test $code != 0 ; then
+ $echo "Test t(<) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ errors=`expr $errors + 1`
+else
+ cmp t.O $srcdir/t.X
+ case $? in
+ 0) if test "$VERBOSE" ; then $echo "passed t(<)"; fi ;;
+ 1) $echo "Test t(<) failed: files t.O and $srcdir/t.X differ" 1>&2;
+ errors=`expr $errors + 1` ;;
+ 2) $echo "Test t(<) may have failed." 1>&2;
+ $echo The command "cmp t.O $srcdir/t.X" failed. 1>&2 ;
+ errors=`expr $errors + 1` ;;
+ esac
+fi
+test -s t.E || rm -f t.E
+cat $srcdir/u.I | $xx -ds 'b' 'a' > u.O 2> u.E
+code=$?
+if test $code != 0 ; then
+ $echo "Test u(|) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ errors=`expr $errors + 1`
+else
+ cmp u.O $srcdir/u.X
+ case $? in
+ 0) if test "$VERBOSE" ; then $echo "passed u(|)"; fi ;;
+ 1) $echo "Test u(|) failed: files u.O and $srcdir/u.X differ" 1>&2;
+ errors=`expr $errors + 1` ;;
+ 2) $echo "Test u(|) may have failed." 1>&2;
+ $echo The command "cmp u.O $srcdir/u.X" failed. 1>&2 ;
+ errors=`expr $errors + 1` ;;
+ esac
+fi
+test -s u.E || rm -f u.E
+$xx -ds 'b' 'a' < $srcdir/u.I > u.O 2> u.E
+code=$?
+if test $code != 0 ; then
+ $echo "Test u(<) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ errors=`expr $errors + 1`
+else
+ cmp u.O $srcdir/u.X
+ case $? in
+ 0) if test "$VERBOSE" ; then $echo "passed u(<)"; fi ;;
+ 1) $echo "Test u(<) failed: files u.O and $srcdir/u.X differ" 1>&2;
+ errors=`expr $errors + 1` ;;
+ 2) $echo "Test u(<) may have failed." 1>&2;
+ $echo The command "cmp u.O $srcdir/u.X" failed. 1>&2 ;
+ errors=`expr $errors + 1` ;;
+ esac
+fi
+test -s u.E || rm -f u.E
+cat $srcdir/v.I | $xx -ds '[:xdigit:]' 'Z' > v.O 2> v.E
+code=$?
+if test $code != 0 ; then
+ $echo "Test v(|) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ errors=`expr $errors + 1`
+else
+ cmp v.O $srcdir/v.X
+ case $? in
+ 0) if test "$VERBOSE" ; then $echo "passed v(|)"; fi ;;
+ 1) $echo "Test v(|) failed: files v.O and $srcdir/v.X differ" 1>&2;
+ errors=`expr $errors + 1` ;;
+ 2) $echo "Test v(|) may have failed." 1>&2;
+ $echo The command "cmp v.O $srcdir/v.X" failed. 1>&2 ;
+ errors=`expr $errors + 1` ;;
+ esac
+fi
+test -s v.E || rm -f v.E
+$xx -ds '[:xdigit:]' 'Z' < $srcdir/v.I > v.O 2> v.E
+code=$?
+if test $code != 0 ; then
+ $echo "Test v(<) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ errors=`expr $errors + 1`
+else
+ cmp v.O $srcdir/v.X
+ case $? in
+ 0) if test "$VERBOSE" ; then $echo "passed v(<)"; fi ;;
+ 1) $echo "Test v(<) failed: files v.O and $srcdir/v.X differ" 1>&2;
+ errors=`expr $errors + 1` ;;
+ 2) $echo "Test v(<) may have failed." 1>&2;
+ $echo The command "cmp v.O $srcdir/v.X" failed. 1>&2 ;
+ errors=`expr $errors + 1` ;;
+ esac
+fi
+test -s v.E || rm -f v.E
+cat $srcdir/w.I | $xx -ds '\350' '\345' > w.O 2> w.E
+code=$?
+if test $code != 0 ; then
+ $echo "Test w(|) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ errors=`expr $errors + 1`
+else
+ cmp w.O $srcdir/w.X
+ case $? in
+ 0) if test "$VERBOSE" ; then $echo "passed w(|)"; fi ;;
+ 1) $echo "Test w(|) failed: files w.O and $srcdir/w.X differ" 1>&2;
+ errors=`expr $errors + 1` ;;
+ 2) $echo "Test w(|) may have failed." 1>&2;
+ $echo The command "cmp w.O $srcdir/w.X" failed. 1>&2 ;
+ errors=`expr $errors + 1` ;;
+ esac
+fi
+test -s w.E || rm -f w.E
+$xx -ds '\350' '\345' < $srcdir/w.I > w.O 2> w.E
+code=$?
+if test $code != 0 ; then
+ $echo "Test w(<) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ errors=`expr $errors + 1`
+else
+ cmp w.O $srcdir/w.X
+ case $? in
+ 0) if test "$VERBOSE" ; then $echo "passed w(<)"; fi ;;
+ 1) $echo "Test w(<) failed: files w.O and $srcdir/w.X differ" 1>&2;
+ errors=`expr $errors + 1` ;;
+ 2) $echo "Test w(<) may have failed." 1>&2;
+ $echo The command "cmp w.O $srcdir/w.X" failed. 1>&2 ;
+ errors=`expr $errors + 1` ;;
+ esac
+fi
+test -s w.E || rm -f w.E
+cat $srcdir/x.I | $xx -s 'abcdefghijklmn' '[:*016]' > x.O 2> x.E
+code=$?
+if test $code != 0 ; then
+ $echo "Test x(|) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ errors=`expr $errors + 1`
+else
+ cmp x.O $srcdir/x.X
+ case $? in
+ 0) if test "$VERBOSE" ; then $echo "passed x(|)"; fi ;;
+ 1) $echo "Test x(|) failed: files x.O and $srcdir/x.X differ" 1>&2;
+ errors=`expr $errors + 1` ;;
+ 2) $echo "Test x(|) may have failed." 1>&2;
+ $echo The command "cmp x.O $srcdir/x.X" failed. 1>&2 ;
+ errors=`expr $errors + 1` ;;
+ esac
+fi
+test -s x.E || rm -f x.E
+$xx -s 'abcdefghijklmn' '[:*016]' < $srcdir/x.I > x.O 2> x.E
+code=$?
+if test $code != 0 ; then
+ $echo "Test x(<) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ errors=`expr $errors + 1`
+else
+ cmp x.O $srcdir/x.X
+ case $? in
+ 0) if test "$VERBOSE" ; then $echo "passed x(<)"; fi ;;
+ 1) $echo "Test x(<) failed: files x.O and $srcdir/x.X differ" 1>&2;
+ errors=`expr $errors + 1` ;;
+ 2) $echo "Test x(<) may have failed." 1>&2;
+ $echo The command "cmp x.O $srcdir/x.X" failed. 1>&2 ;
+ errors=`expr $errors + 1` ;;
+ esac
+fi
+test -s x.E || rm -f x.E
+cat $srcdir/y.I | $xx -d 'a-z' > y.O 2> y.E
+code=$?
+if test $code != 0 ; then
+ $echo "Test y(|) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ errors=`expr $errors + 1`
+else
+ cmp y.O $srcdir/y.X
+ case $? in
+ 0) if test "$VERBOSE" ; then $echo "passed y(|)"; fi ;;
+ 1) $echo "Test y(|) failed: files y.O and $srcdir/y.X differ" 1>&2;
+ errors=`expr $errors + 1` ;;
+ 2) $echo "Test y(|) may have failed." 1>&2;
+ $echo The command "cmp y.O $srcdir/y.X" failed. 1>&2 ;
+ errors=`expr $errors + 1` ;;
+ esac
+fi
+test -s y.E || rm -f y.E
+$xx -d 'a-z' < $srcdir/y.I > y.O 2> y.E
+code=$?
+if test $code != 0 ; then
+ $echo "Test y(<) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ errors=`expr $errors + 1`
+else
+ cmp y.O $srcdir/y.X
+ case $? in
+ 0) if test "$VERBOSE" ; then $echo "passed y(<)"; fi ;;
+ 1) $echo "Test y(<) failed: files y.O and $srcdir/y.X differ" 1>&2;
+ errors=`expr $errors + 1` ;;
+ 2) $echo "Test y(<) may have failed." 1>&2;
+ $echo The command "cmp y.O $srcdir/y.X" failed. 1>&2 ;
+ errors=`expr $errors + 1` ;;
+ esac
+fi
+test -s y.E || rm -f y.E
+cat $srcdir/z.I | $xx -ds 'a-z' '$.' > z.O 2> z.E
+code=$?
+if test $code != 0 ; then
+ $echo "Test z(|) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ errors=`expr $errors + 1`
+else
+ cmp z.O $srcdir/z.X
+ case $? in
+ 0) if test "$VERBOSE" ; then $echo "passed z(|)"; fi ;;
+ 1) $echo "Test z(|) failed: files z.O and $srcdir/z.X differ" 1>&2;
+ errors=`expr $errors + 1` ;;
+ 2) $echo "Test z(|) may have failed." 1>&2;
+ $echo The command "cmp z.O $srcdir/z.X" failed. 1>&2 ;
+ errors=`expr $errors + 1` ;;
+ esac
+fi
+test -s z.E || rm -f z.E
+$xx -ds 'a-z' '$.' < $srcdir/z.I > z.O 2> z.E
+code=$?
+if test $code != 0 ; then
+ $echo "Test z(<) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ errors=`expr $errors + 1`
+else
+ cmp z.O $srcdir/z.X
+ case $? in
+ 0) if test "$VERBOSE" ; then $echo "passed z(<)"; fi ;;
+ 1) $echo "Test z(<) failed: files z.O and $srcdir/z.X differ" 1>&2;
+ errors=`expr $errors + 1` ;;
+ 2) $echo "Test z(<) may have failed." 1>&2;
+ $echo The command "cmp z.O $srcdir/z.X" failed. 1>&2 ;
+ errors=`expr $errors + 1` ;;
+ esac
+fi
+test -s z.E || rm -f z.E
+cat $srcdir/range-a-a.I | $xx 'a-a' 'z' > range-a-a.O 2> range-a-a.E
+code=$?
+if test $code != 0 ; then
+ $echo "Test range-a-a(|) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ errors=`expr $errors + 1`
+else
+ cmp range-a-a.O $srcdir/range-a-a.X
+ case $? in
+ 0) if test "$VERBOSE" ; then $echo "passed range-a-a(|)"; fi ;;
+ 1) $echo "Test range-a-a(|) failed: files range-a-a.O and $srcdir/range-a-a.X differ" 1>&2;
+ errors=`expr $errors + 1` ;;
+ 2) $echo "Test range-a-a(|) may have failed." 1>&2;
+ $echo The command "cmp range-a-a.O $srcdir/range-a-a.X" failed. 1>&2 ;
+ errors=`expr $errors + 1` ;;
+ esac
+fi
+test -s range-a-a.E || rm -f range-a-a.E
+$xx 'a-a' 'z' < $srcdir/range-a-a.I > range-a-a.O 2> range-a-a.E
+code=$?
+if test $code != 0 ; then
+ $echo "Test range-a-a(<) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ errors=`expr $errors + 1`
+else
+ cmp range-a-a.O $srcdir/range-a-a.X
+ case $? in
+ 0) if test "$VERBOSE" ; then $echo "passed range-a-a(<)"; fi ;;
+ 1) $echo "Test range-a-a(<) failed: files range-a-a.O and $srcdir/range-a-a.X differ" 1>&2;
+ errors=`expr $errors + 1` ;;
+ 2) $echo "Test range-a-a(<) may have failed." 1>&2;
+ $echo The command "cmp range-a-a.O $srcdir/range-a-a.X" failed. 1>&2 ;
+ errors=`expr $errors + 1` ;;
+ esac
+fi
+test -s range-a-a.E || rm -f range-a-a.E
+cat $srcdir/null.I | $xx 'a' '''' > null.O 2> null.E
code=$?
if test $code != 1 ; then
- $echo "Test null failed: ../../src/tr return code $code differs from expected value 1" 1>&2
+ $echo "Test null(|) failed: ../../src/tr return code $code differs from expected value 1" 1>&2
+ errors=`expr $errors + 1`
+else
+ cmp null.O $srcdir/null.X
+ case $? in
+ 0) if test "$VERBOSE" ; then $echo "passed null(|)"; fi ;;
+ 1) $echo "Test null(|) failed: files null.O and $srcdir/null.X differ" 1>&2;
+ errors=`expr $errors + 1` ;;
+ 2) $echo "Test null(|) may have failed." 1>&2;
+ $echo The command "cmp null.O $srcdir/null.X" failed. 1>&2 ;
+ errors=`expr $errors + 1` ;;
+ esac
+fi
+test -s null.E || rm -f null.E
+$xx 'a' '''' < $srcdir/null.I > null.O 2> null.E
+code=$?
+if test $code != 1 ; then
+ $echo "Test null(<) failed: ../../src/tr return code $code differs from expected value 1" 1>&2
+ errors=`expr $errors + 1`
+else
+ cmp null.O $srcdir/null.X
+ case $? in
+ 0) if test "$VERBOSE" ; then $echo "passed null(<)"; fi ;;
+ 1) $echo "Test null(<) failed: files null.O and $srcdir/null.X differ" 1>&2;
+ errors=`expr $errors + 1` ;;
+ 2) $echo "Test null(<) may have failed." 1>&2;
+ $echo The command "cmp null.O $srcdir/null.X" failed. 1>&2 ;
+ errors=`expr $errors + 1` ;;
+ esac
+fi
+test -s null.E || rm -f null.E
+cat $srcdir/upcase.I | $xx '[:lower:]' '[:upper:]' > upcase.O 2> upcase.E
+code=$?
+if test $code != 0 ; then
+ $echo "Test upcase(|) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ errors=`expr $errors + 1`
+else
+ cmp upcase.O $srcdir/upcase.X
+ case $? in
+ 0) if test "$VERBOSE" ; then $echo "passed upcase(|)"; fi ;;
+ 1) $echo "Test upcase(|) failed: files upcase.O and $srcdir/upcase.X differ" 1>&2;
+ errors=`expr $errors + 1` ;;
+ 2) $echo "Test upcase(|) may have failed." 1>&2;
+ $echo The command "cmp upcase.O $srcdir/upcase.X" failed. 1>&2 ;
+ errors=`expr $errors + 1` ;;
+ esac
+fi
+test -s upcase.E || rm -f upcase.E
+$xx '[:lower:]' '[:upper:]' < $srcdir/upcase.I > upcase.O 2> upcase.E
+code=$?
+if test $code != 0 ; then
+ $echo "Test upcase(<) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ errors=`expr $errors + 1`
+else
+ cmp upcase.O $srcdir/upcase.X
+ case $? in
+ 0) if test "$VERBOSE" ; then $echo "passed upcase(<)"; fi ;;
+ 1) $echo "Test upcase(<) failed: files upcase.O and $srcdir/upcase.X differ" 1>&2;
+ errors=`expr $errors + 1` ;;
+ 2) $echo "Test upcase(<) may have failed." 1>&2;
+ $echo The command "cmp upcase.O $srcdir/upcase.X" failed. 1>&2 ;
+ errors=`expr $errors + 1` ;;
+ esac
+fi
+test -s upcase.E || rm -f upcase.E
+cat $srcdir/dncase.I | $xx '[:upper:]' '[:lower:]' > dncase.O 2> dncase.E
+code=$?
+if test $code != 0 ; then
+ $echo "Test dncase(|) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ errors=`expr $errors + 1`
+else
+ cmp dncase.O $srcdir/dncase.X
+ case $? in
+ 0) if test "$VERBOSE" ; then $echo "passed dncase(|)"; fi ;;
+ 1) $echo "Test dncase(|) failed: files dncase.O and $srcdir/dncase.X differ" 1>&2;
+ errors=`expr $errors + 1` ;;
+ 2) $echo "Test dncase(|) may have failed." 1>&2;
+ $echo The command "cmp dncase.O $srcdir/dncase.X" failed. 1>&2 ;
+ errors=`expr $errors + 1` ;;
+ esac
+fi
+test -s dncase.E || rm -f dncase.E
+$xx '[:upper:]' '[:lower:]' < $srcdir/dncase.I > dncase.O 2> dncase.E
+code=$?
+if test $code != 0 ; then
+ $echo "Test dncase(<) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ errors=`expr $errors + 1`
+else
+ cmp dncase.O $srcdir/dncase.X
+ case $? in
+ 0) if test "$VERBOSE" ; then $echo "passed dncase(<)"; fi ;;
+ 1) $echo "Test dncase(<) failed: files dncase.O and $srcdir/dncase.X differ" 1>&2;
+ errors=`expr $errors + 1` ;;
+ 2) $echo "Test dncase(<) may have failed." 1>&2;
+ $echo The command "cmp dncase.O $srcdir/dncase.X" failed. 1>&2 ;
+ errors=`expr $errors + 1` ;;
+ esac
+fi
+test -s dncase.E || rm -f dncase.E
+cat $srcdir/rep-cclass.I | $xx 'a[=*2][=c=]' 'xyyz' > rep-cclass.O 2> rep-cclass.E
+code=$?
+if test $code != 0 ; then
+ $echo "Test rep-cclass(|) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ errors=`expr $errors + 1`
+else
+ cmp rep-cclass.O $srcdir/rep-cclass.X
+ case $? in
+ 0) if test "$VERBOSE" ; then $echo "passed rep-cclass(|)"; fi ;;
+ 1) $echo "Test rep-cclass(|) failed: files rep-cclass.O and $srcdir/rep-cclass.X differ" 1>&2;
+ errors=`expr $errors + 1` ;;
+ 2) $echo "Test rep-cclass(|) may have failed." 1>&2;
+ $echo The command "cmp rep-cclass.O $srcdir/rep-cclass.X" failed. 1>&2 ;
+ errors=`expr $errors + 1` ;;
+ esac
+fi
+test -s rep-cclass.E || rm -f rep-cclass.E
+$xx 'a[=*2][=c=]' 'xyyz' < $srcdir/rep-cclass.I > rep-cclass.O 2> rep-cclass.E
+code=$?
+if test $code != 0 ; then
+ $echo "Test rep-cclass(<) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ errors=`expr $errors + 1`
+else
+ cmp rep-cclass.O $srcdir/rep-cclass.X
+ case $? in
+ 0) if test "$VERBOSE" ; then $echo "passed rep-cclass(<)"; fi ;;
+ 1) $echo "Test rep-cclass(<) failed: files rep-cclass.O and $srcdir/rep-cclass.X differ" 1>&2;
+ errors=`expr $errors + 1` ;;
+ 2) $echo "Test rep-cclass(<) may have failed." 1>&2;
+ $echo The command "cmp rep-cclass.O $srcdir/rep-cclass.X" failed. 1>&2 ;
+ errors=`expr $errors + 1` ;;
+ esac
+fi
+test -s rep-cclass.E || rm -f rep-cclass.E
+cat $srcdir/rep-1.I | $xx '[:*3][:digit:]' 'a-m' > rep-1.O 2> rep-1.E
+code=$?
+if test $code != 0 ; then
+ $echo "Test rep-1(|) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
errors=`expr $errors + 1`
else
- cmp tnull.out $srcdir/tnull.exp
+ cmp rep-1.O $srcdir/rep-1.X
case $? in
- 0) if test "$VERBOSE" ; then $echo "passed null"; fi ;;
- 1) $echo "Test null failed: files tnull.out and $srcdir/tnull.exp differ" 1>&2;
+ 0) if test "$VERBOSE" ; then $echo "passed rep-1(|)"; fi ;;
+ 1) $echo "Test rep-1(|) failed: files rep-1.O and $srcdir/rep-1.X differ" 1>&2;
errors=`expr $errors + 1` ;;
- 2) $echo "Test null may have failed." 1>&2;
- $echo The command "cmp tnull.out $srcdir/tnull.exp" failed. 1>&2 ;
+ 2) $echo "Test rep-1(|) may have failed." 1>&2;
+ $echo The command "cmp rep-1.O $srcdir/rep-1.X" failed. 1>&2 ;
errors=`expr $errors + 1` ;;
esac
fi
-test -s tnull.err || rm -f tnull.err
-$xx '[:lower:]' '[:upper:]' < $srcdir/tupcase.in > tupcase.out 2> tupcase.err
+test -s rep-1.E || rm -f rep-1.E
+$xx '[:*3][:digit:]' 'a-m' < $srcdir/rep-1.I > rep-1.O 2> rep-1.E
code=$?
if test $code != 0 ; then
- $echo "Test upcase failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ $echo "Test rep-1(<) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
errors=`expr $errors + 1`
else
- cmp tupcase.out $srcdir/tupcase.exp
+ cmp rep-1.O $srcdir/rep-1.X
case $? in
- 0) if test "$VERBOSE" ; then $echo "passed upcase"; fi ;;
- 1) $echo "Test upcase failed: files tupcase.out and $srcdir/tupcase.exp differ" 1>&2;
+ 0) if test "$VERBOSE" ; then $echo "passed rep-1(<)"; fi ;;
+ 1) $echo "Test rep-1(<) failed: files rep-1.O and $srcdir/rep-1.X differ" 1>&2;
errors=`expr $errors + 1` ;;
- 2) $echo "Test upcase may have failed." 1>&2;
- $echo The command "cmp tupcase.out $srcdir/tupcase.exp" failed. 1>&2 ;
+ 2) $echo "Test rep-1(<) may have failed." 1>&2;
+ $echo The command "cmp rep-1.O $srcdir/rep-1.X" failed. 1>&2 ;
errors=`expr $errors + 1` ;;
esac
fi
-test -s tupcase.err || rm -f tupcase.err
-$xx '[:upper:]' '[:lower:]' < $srcdir/tdncase.in > tdncase.out 2> tdncase.err
+test -s rep-1.E || rm -f rep-1.E
+cat $srcdir/rep-2.I | $xx 'a[b*512]c' '1[x*]2' > rep-2.O 2> rep-2.E
code=$?
if test $code != 0 ; then
- $echo "Test dncase failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ $echo "Test rep-2(|) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
errors=`expr $errors + 1`
else
- cmp tdncase.out $srcdir/tdncase.exp
+ cmp rep-2.O $srcdir/rep-2.X
case $? in
- 0) if test "$VERBOSE" ; then $echo "passed dncase"; fi ;;
- 1) $echo "Test dncase failed: files tdncase.out and $srcdir/tdncase.exp differ" 1>&2;
+ 0) if test "$VERBOSE" ; then $echo "passed rep-2(|)"; fi ;;
+ 1) $echo "Test rep-2(|) failed: files rep-2.O and $srcdir/rep-2.X differ" 1>&2;
errors=`expr $errors + 1` ;;
- 2) $echo "Test dncase may have failed." 1>&2;
- $echo The command "cmp tdncase.out $srcdir/tdncase.exp" failed. 1>&2 ;
+ 2) $echo "Test rep-2(|) may have failed." 1>&2;
+ $echo The command "cmp rep-2.O $srcdir/rep-2.X" failed. 1>&2 ;
errors=`expr $errors + 1` ;;
esac
fi
-test -s tdncase.err || rm -f tdncase.err
-$xx 'a[=*2][=c=]' 'xyyz' < $srcdir/trep-cclass.in > trep-cclass.out 2> trep-cclass.err
+test -s rep-2.E || rm -f rep-2.E
+$xx 'a[b*512]c' '1[x*]2' < $srcdir/rep-2.I > rep-2.O 2> rep-2.E
code=$?
if test $code != 0 ; then
- $echo "Test rep-cclass failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ $echo "Test rep-2(<) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
errors=`expr $errors + 1`
else
- cmp trep-cclass.out $srcdir/trep-cclass.exp
+ cmp rep-2.O $srcdir/rep-2.X
case $? in
- 0) if test "$VERBOSE" ; then $echo "passed rep-cclass"; fi ;;
- 1) $echo "Test rep-cclass failed: files trep-cclass.out and $srcdir/trep-cclass.exp differ" 1>&2;
+ 0) if test "$VERBOSE" ; then $echo "passed rep-2(<)"; fi ;;
+ 1) $echo "Test rep-2(<) failed: files rep-2.O and $srcdir/rep-2.X differ" 1>&2;
errors=`expr $errors + 1` ;;
- 2) $echo "Test rep-cclass may have failed." 1>&2;
- $echo The command "cmp trep-cclass.out $srcdir/trep-cclass.exp" failed. 1>&2 ;
+ 2) $echo "Test rep-2(<) may have failed." 1>&2;
+ $echo The command "cmp rep-2.O $srcdir/rep-2.X" failed. 1>&2 ;
errors=`expr $errors + 1` ;;
esac
fi
-test -s trep-cclass.err || rm -f trep-cclass.err
-$xx '[:*3][:digit:]' 'a-m' < $srcdir/trep-1.in > trep-1.out 2> trep-1.err
+test -s rep-2.E || rm -f rep-2.E
+cat $srcdir/rep-3.I | $xx 'a[b*513]c' '1[x*]2' > rep-3.O 2> rep-3.E
code=$?
if test $code != 0 ; then
- $echo "Test rep-1 failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ $echo "Test rep-3(|) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
errors=`expr $errors + 1`
else
- cmp trep-1.out $srcdir/trep-1.exp
+ cmp rep-3.O $srcdir/rep-3.X
case $? in
- 0) if test "$VERBOSE" ; then $echo "passed rep-1"; fi ;;
- 1) $echo "Test rep-1 failed: files trep-1.out and $srcdir/trep-1.exp differ" 1>&2;
+ 0) if test "$VERBOSE" ; then $echo "passed rep-3(|)"; fi ;;
+ 1) $echo "Test rep-3(|) failed: files rep-3.O and $srcdir/rep-3.X differ" 1>&2;
errors=`expr $errors + 1` ;;
- 2) $echo "Test rep-1 may have failed." 1>&2;
- $echo The command "cmp trep-1.out $srcdir/trep-1.exp" failed. 1>&2 ;
+ 2) $echo "Test rep-3(|) may have failed." 1>&2;
+ $echo The command "cmp rep-3.O $srcdir/rep-3.X" failed. 1>&2 ;
errors=`expr $errors + 1` ;;
esac
fi
-test -s trep-1.err || rm -f trep-1.err
-$xx 'a[b*512]c' '1[x*]2' < $srcdir/trep-2.in > trep-2.out 2> trep-2.err
+test -s rep-3.E || rm -f rep-3.E
+$xx 'a[b*513]c' '1[x*]2' < $srcdir/rep-3.I > rep-3.O 2> rep-3.E
code=$?
if test $code != 0 ; then
- $echo "Test rep-2 failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ $echo "Test rep-3(<) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
errors=`expr $errors + 1`
else
- cmp trep-2.out $srcdir/trep-2.exp
+ cmp rep-3.O $srcdir/rep-3.X
case $? in
- 0) if test "$VERBOSE" ; then $echo "passed rep-2"; fi ;;
- 1) $echo "Test rep-2 failed: files trep-2.out and $srcdir/trep-2.exp differ" 1>&2;
+ 0) if test "$VERBOSE" ; then $echo "passed rep-3(<)"; fi ;;
+ 1) $echo "Test rep-3(<) failed: files rep-3.O and $srcdir/rep-3.X differ" 1>&2;
errors=`expr $errors + 1` ;;
- 2) $echo "Test rep-2 may have failed." 1>&2;
- $echo The command "cmp trep-2.out $srcdir/trep-2.exp" failed. 1>&2 ;
+ 2) $echo "Test rep-3(<) may have failed." 1>&2;
+ $echo The command "cmp rep-3.O $srcdir/rep-3.X" failed. 1>&2 ;
errors=`expr $errors + 1` ;;
esac
fi
-test -s trep-2.err || rm -f trep-2.err
-$xx 'a[b*513]c' '1[x*]2' < $srcdir/trep-3.in > trep-3.out 2> trep-3.err
+test -s rep-3.E || rm -f rep-3.E
+cat $srcdir/esc.I | $xx 'a\-z' 'A-Z' > esc.O 2> esc.E
code=$?
if test $code != 0 ; then
- $echo "Test rep-3 failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ $echo "Test esc(|) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
errors=`expr $errors + 1`
else
- cmp trep-3.out $srcdir/trep-3.exp
+ cmp esc.O $srcdir/esc.X
case $? in
- 0) if test "$VERBOSE" ; then $echo "passed rep-3"; fi ;;
- 1) $echo "Test rep-3 failed: files trep-3.out and $srcdir/trep-3.exp differ" 1>&2;
+ 0) if test "$VERBOSE" ; then $echo "passed esc(|)"; fi ;;
+ 1) $echo "Test esc(|) failed: files esc.O and $srcdir/esc.X differ" 1>&2;
errors=`expr $errors + 1` ;;
- 2) $echo "Test rep-3 may have failed." 1>&2;
- $echo The command "cmp trep-3.out $srcdir/trep-3.exp" failed. 1>&2 ;
+ 2) $echo "Test esc(|) may have failed." 1>&2;
+ $echo The command "cmp esc.O $srcdir/esc.X" failed. 1>&2 ;
errors=`expr $errors + 1` ;;
esac
fi
-test -s trep-3.err || rm -f trep-3.err
-$xx 'a\-z' 'A-Z' < $srcdir/tesc.in > tesc.out 2> tesc.err
+test -s esc.E || rm -f esc.E
+$xx 'a\-z' 'A-Z' < $srcdir/esc.I > esc.O 2> esc.E
code=$?
if test $code != 0 ; then
- $echo "Test esc failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ $echo "Test esc(<) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ errors=`expr $errors + 1`
+else
+ cmp esc.O $srcdir/esc.X
+ case $? in
+ 0) if test "$VERBOSE" ; then $echo "passed esc(<)"; fi ;;
+ 1) $echo "Test esc(<) failed: files esc.O and $srcdir/esc.X differ" 1>&2;
+ errors=`expr $errors + 1` ;;
+ 2) $echo "Test esc(<) may have failed." 1>&2;
+ $echo The command "cmp esc.O $srcdir/esc.X" failed. 1>&2 ;
+ errors=`expr $errors + 1` ;;
+ esac
+fi
+test -s esc.E || rm -f esc.E
+cat $srcdir/ross-0a.I | $xx -cs '[:upper:]' 'X[Y*]' > ross-0a.O 2> ross-0a.E
+code=$?
+if test $code != 1 ; then
+ $echo "Test ross-0a(|) failed: ../../src/tr return code $code differs from expected value 1" 1>&2
errors=`expr $errors + 1`
else
- cmp tesc.out $srcdir/tesc.exp
+ cmp ross-0a.O $srcdir/ross-0a.X
case $? in
- 0) if test "$VERBOSE" ; then $echo "passed esc"; fi ;;
- 1) $echo "Test esc failed: files tesc.out and $srcdir/tesc.exp differ" 1>&2;
+ 0) if test "$VERBOSE" ; then $echo "passed ross-0a(|)"; fi ;;
+ 1) $echo "Test ross-0a(|) failed: files ross-0a.O and $srcdir/ross-0a.X differ" 1>&2;
errors=`expr $errors + 1` ;;
- 2) $echo "Test esc may have failed." 1>&2;
- $echo The command "cmp tesc.out $srcdir/tesc.exp" failed. 1>&2 ;
+ 2) $echo "Test ross-0a(|) may have failed." 1>&2;
+ $echo The command "cmp ross-0a.O $srcdir/ross-0a.X" failed. 1>&2 ;
errors=`expr $errors + 1` ;;
esac
fi
-test -s tesc.err || rm -f tesc.err
-$xx -cs '[:upper:]' 'X[Y*]' < $srcdir/tross-0a.in > tross-0a.out 2> tross-0a.err
+test -s ross-0a.E || rm -f ross-0a.E
+$xx -cs '[:upper:]' 'X[Y*]' < $srcdir/ross-0a.I > ross-0a.O 2> ross-0a.E
code=$?
if test $code != 1 ; then
- $echo "Test ross-0a failed: ../../src/tr return code $code differs from expected value 1" 1>&2
+ $echo "Test ross-0a(<) failed: ../../src/tr return code $code differs from expected value 1" 1>&2
errors=`expr $errors + 1`
else
- cmp tross-0a.out $srcdir/tross-0a.exp
+ cmp ross-0a.O $srcdir/ross-0a.X
case $? in
- 0) if test "$VERBOSE" ; then $echo "passed ross-0a"; fi ;;
- 1) $echo "Test ross-0a failed: files tross-0a.out and $srcdir/tross-0a.exp differ" 1>&2;
+ 0) if test "$VERBOSE" ; then $echo "passed ross-0a(<)"; fi ;;
+ 1) $echo "Test ross-0a(<) failed: files ross-0a.O and $srcdir/ross-0a.X differ" 1>&2;
errors=`expr $errors + 1` ;;
- 2) $echo "Test ross-0a may have failed." 1>&2;
- $echo The command "cmp tross-0a.out $srcdir/tross-0a.exp" failed. 1>&2 ;
+ 2) $echo "Test ross-0a(<) may have failed." 1>&2;
+ $echo The command "cmp ross-0a.O $srcdir/ross-0a.X" failed. 1>&2 ;
errors=`expr $errors + 1` ;;
esac
fi
-test -s tross-0a.err || rm -f tross-0a.err
-$xx -cs '[:cntrl:]' 'X[Y*]' < $srcdir/tross-0b.in > tross-0b.out 2> tross-0b.err
+test -s ross-0a.E || rm -f ross-0a.E
+cat $srcdir/ross-0b.I | $xx -cs '[:cntrl:]' 'X[Y*]' > ross-0b.O 2> ross-0b.E
code=$?
if test $code != 1 ; then
- $echo "Test ross-0b failed: ../../src/tr return code $code differs from expected value 1" 1>&2
+ $echo "Test ross-0b(|) failed: ../../src/tr return code $code differs from expected value 1" 1>&2
+ errors=`expr $errors + 1`
+else
+ cmp ross-0b.O $srcdir/ross-0b.X
+ case $? in
+ 0) if test "$VERBOSE" ; then $echo "passed ross-0b(|)"; fi ;;
+ 1) $echo "Test ross-0b(|) failed: files ross-0b.O and $srcdir/ross-0b.X differ" 1>&2;
+ errors=`expr $errors + 1` ;;
+ 2) $echo "Test ross-0b(|) may have failed." 1>&2;
+ $echo The command "cmp ross-0b.O $srcdir/ross-0b.X" failed. 1>&2 ;
+ errors=`expr $errors + 1` ;;
+ esac
+fi
+test -s ross-0b.E || rm -f ross-0b.E
+$xx -cs '[:cntrl:]' 'X[Y*]' < $srcdir/ross-0b.I > ross-0b.O 2> ross-0b.E
+code=$?
+if test $code != 1 ; then
+ $echo "Test ross-0b(<) failed: ../../src/tr return code $code differs from expected value 1" 1>&2
+ errors=`expr $errors + 1`
+else
+ cmp ross-0b.O $srcdir/ross-0b.X
+ case $? in
+ 0) if test "$VERBOSE" ; then $echo "passed ross-0b(<)"; fi ;;
+ 1) $echo "Test ross-0b(<) failed: files ross-0b.O and $srcdir/ross-0b.X differ" 1>&2;
+ errors=`expr $errors + 1` ;;
+ 2) $echo "Test ross-0b(<) may have failed." 1>&2;
+ $echo The command "cmp ross-0b.O $srcdir/ross-0b.X" failed. 1>&2 ;
+ errors=`expr $errors + 1` ;;
+ esac
+fi
+test -s ross-0b.E || rm -f ross-0b.E
+cat $srcdir/ross-1a.I | $xx -cs '[:upper:]' '[X*]' > ross-1a.O 2> ross-1a.E
+code=$?
+if test $code != 0 ; then
+ $echo "Test ross-1a(|) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ errors=`expr $errors + 1`
+else
+ cmp ross-1a.O $srcdir/ross-1a.X
+ case $? in
+ 0) if test "$VERBOSE" ; then $echo "passed ross-1a(|)"; fi ;;
+ 1) $echo "Test ross-1a(|) failed: files ross-1a.O and $srcdir/ross-1a.X differ" 1>&2;
+ errors=`expr $errors + 1` ;;
+ 2) $echo "Test ross-1a(|) may have failed." 1>&2;
+ $echo The command "cmp ross-1a.O $srcdir/ross-1a.X" failed. 1>&2 ;
+ errors=`expr $errors + 1` ;;
+ esac
+fi
+test -s ross-1a.E || rm -f ross-1a.E
+$xx -cs '[:upper:]' '[X*]' < $srcdir/ross-1a.I > ross-1a.O 2> ross-1a.E
+code=$?
+if test $code != 0 ; then
+ $echo "Test ross-1a(<) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ errors=`expr $errors + 1`
+else
+ cmp ross-1a.O $srcdir/ross-1a.X
+ case $? in
+ 0) if test "$VERBOSE" ; then $echo "passed ross-1a(<)"; fi ;;
+ 1) $echo "Test ross-1a(<) failed: files ross-1a.O and $srcdir/ross-1a.X differ" 1>&2;
+ errors=`expr $errors + 1` ;;
+ 2) $echo "Test ross-1a(<) may have failed." 1>&2;
+ $echo The command "cmp ross-1a.O $srcdir/ross-1a.X" failed. 1>&2 ;
+ errors=`expr $errors + 1` ;;
+ esac
+fi
+test -s ross-1a.E || rm -f ross-1a.E
+cat $srcdir/ross-1b.I | $xx -cs '[:upper:][:digit:]' '[Z*]' > ross-1b.O 2> ross-1b.E
+code=$?
+if test $code != 0 ; then
+ $echo "Test ross-1b(|) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ errors=`expr $errors + 1`
+else
+ cmp ross-1b.O $srcdir/ross-1b.X
+ case $? in
+ 0) if test "$VERBOSE" ; then $echo "passed ross-1b(|)"; fi ;;
+ 1) $echo "Test ross-1b(|) failed: files ross-1b.O and $srcdir/ross-1b.X differ" 1>&2;
+ errors=`expr $errors + 1` ;;
+ 2) $echo "Test ross-1b(|) may have failed." 1>&2;
+ $echo The command "cmp ross-1b.O $srcdir/ross-1b.X" failed. 1>&2 ;
+ errors=`expr $errors + 1` ;;
+ esac
+fi
+test -s ross-1b.E || rm -f ross-1b.E
+$xx -cs '[:upper:][:digit:]' '[Z*]' < $srcdir/ross-1b.I > ross-1b.O 2> ross-1b.E
+code=$?
+if test $code != 0 ; then
+ $echo "Test ross-1b(<) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ errors=`expr $errors + 1`
+else
+ cmp ross-1b.O $srcdir/ross-1b.X
+ case $? in
+ 0) if test "$VERBOSE" ; then $echo "passed ross-1b(<)"; fi ;;
+ 1) $echo "Test ross-1b(<) failed: files ross-1b.O and $srcdir/ross-1b.X differ" 1>&2;
+ errors=`expr $errors + 1` ;;
+ 2) $echo "Test ross-1b(<) may have failed." 1>&2;
+ $echo The command "cmp ross-1b.O $srcdir/ross-1b.X" failed. 1>&2 ;
+ errors=`expr $errors + 1` ;;
+ esac
+fi
+test -s ross-1b.E || rm -f ross-1b.E
+cat $srcdir/ross-2.I | $xx -dcs '[:lower:]' 'n-rs-z' > ross-2.O 2> ross-2.E
+code=$?
+if test $code != 0 ; then
+ $echo "Test ross-2(|) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ errors=`expr $errors + 1`
+else
+ cmp ross-2.O $srcdir/ross-2.X
+ case $? in
+ 0) if test "$VERBOSE" ; then $echo "passed ross-2(|)"; fi ;;
+ 1) $echo "Test ross-2(|) failed: files ross-2.O and $srcdir/ross-2.X differ" 1>&2;
+ errors=`expr $errors + 1` ;;
+ 2) $echo "Test ross-2(|) may have failed." 1>&2;
+ $echo The command "cmp ross-2.O $srcdir/ross-2.X" failed. 1>&2 ;
+ errors=`expr $errors + 1` ;;
+ esac
+fi
+test -s ross-2.E || rm -f ross-2.E
+$xx -dcs '[:lower:]' 'n-rs-z' < $srcdir/ross-2.I > ross-2.O 2> ross-2.E
+code=$?
+if test $code != 0 ; then
+ $echo "Test ross-2(<) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ errors=`expr $errors + 1`
+else
+ cmp ross-2.O $srcdir/ross-2.X
+ case $? in
+ 0) if test "$VERBOSE" ; then $echo "passed ross-2(<)"; fi ;;
+ 1) $echo "Test ross-2(<) failed: files ross-2.O and $srcdir/ross-2.X differ" 1>&2;
+ errors=`expr $errors + 1` ;;
+ 2) $echo "Test ross-2(<) may have failed." 1>&2;
+ $echo The command "cmp ross-2.O $srcdir/ross-2.X" failed. 1>&2 ;
+ errors=`expr $errors + 1` ;;
+ esac
+fi
+test -s ross-2.E || rm -f ross-2.E
+cat $srcdir/ross-3.I | $xx -ds '[:xdigit:]' '[:alnum:]' > ross-3.O 2> ross-3.E
+code=$?
+if test $code != 0 ; then
+ $echo "Test ross-3(|) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
errors=`expr $errors + 1`
else
- cmp tross-0b.out $srcdir/tross-0b.exp
+ cmp ross-3.O $srcdir/ross-3.X
case $? in
- 0) if test "$VERBOSE" ; then $echo "passed ross-0b"; fi ;;
- 1) $echo "Test ross-0b failed: files tross-0b.out and $srcdir/tross-0b.exp differ" 1>&2;
+ 0) if test "$VERBOSE" ; then $echo "passed ross-3(|)"; fi ;;
+ 1) $echo "Test ross-3(|) failed: files ross-3.O and $srcdir/ross-3.X differ" 1>&2;
errors=`expr $errors + 1` ;;
- 2) $echo "Test ross-0b may have failed." 1>&2;
- $echo The command "cmp tross-0b.out $srcdir/tross-0b.exp" failed. 1>&2 ;
+ 2) $echo "Test ross-3(|) may have failed." 1>&2;
+ $echo The command "cmp ross-3.O $srcdir/ross-3.X" failed. 1>&2 ;
errors=`expr $errors + 1` ;;
esac
fi
-test -s tross-0b.err || rm -f tross-0b.err
-$xx -cs '[:upper:]' '[X*]' < $srcdir/tross-1a.in > tross-1a.out 2> tross-1a.err
+test -s ross-3.E || rm -f ross-3.E
+$xx -ds '[:xdigit:]' '[:alnum:]' < $srcdir/ross-3.I > ross-3.O 2> ross-3.E
code=$?
if test $code != 0 ; then
- $echo "Test ross-1a failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ $echo "Test ross-3(<) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
errors=`expr $errors + 1`
else
- cmp tross-1a.out $srcdir/tross-1a.exp
+ cmp ross-3.O $srcdir/ross-3.X
case $? in
- 0) if test "$VERBOSE" ; then $echo "passed ross-1a"; fi ;;
- 1) $echo "Test ross-1a failed: files tross-1a.out and $srcdir/tross-1a.exp differ" 1>&2;
+ 0) if test "$VERBOSE" ; then $echo "passed ross-3(<)"; fi ;;
+ 1) $echo "Test ross-3(<) failed: files ross-3.O and $srcdir/ross-3.X differ" 1>&2;
errors=`expr $errors + 1` ;;
- 2) $echo "Test ross-1a may have failed." 1>&2;
- $echo The command "cmp tross-1a.out $srcdir/tross-1a.exp" failed. 1>&2 ;
+ 2) $echo "Test ross-3(<) may have failed." 1>&2;
+ $echo The command "cmp ross-3.O $srcdir/ross-3.X" failed. 1>&2 ;
errors=`expr $errors + 1` ;;
esac
fi
-test -s tross-1a.err || rm -f tross-1a.err
-$xx -cs '[:upper:][:digit:]' '[Z*]' < $srcdir/tross-1b.in > tross-1b.out 2> tross-1b.err
+test -s ross-3.E || rm -f ross-3.E
+cat $srcdir/ross-4.I | $xx -dcs '[:alnum:]' '[:digit:]' > ross-4.O 2> ross-4.E
code=$?
if test $code != 0 ; then
- $echo "Test ross-1b failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ $echo "Test ross-4(|) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
errors=`expr $errors + 1`
else
- cmp tross-1b.out $srcdir/tross-1b.exp
+ cmp ross-4.O $srcdir/ross-4.X
case $? in
- 0) if test "$VERBOSE" ; then $echo "passed ross-1b"; fi ;;
- 1) $echo "Test ross-1b failed: files tross-1b.out and $srcdir/tross-1b.exp differ" 1>&2;
+ 0) if test "$VERBOSE" ; then $echo "passed ross-4(|)"; fi ;;
+ 1) $echo "Test ross-4(|) failed: files ross-4.O and $srcdir/ross-4.X differ" 1>&2;
errors=`expr $errors + 1` ;;
- 2) $echo "Test ross-1b may have failed." 1>&2;
- $echo The command "cmp tross-1b.out $srcdir/tross-1b.exp" failed. 1>&2 ;
+ 2) $echo "Test ross-4(|) may have failed." 1>&2;
+ $echo The command "cmp ross-4.O $srcdir/ross-4.X" failed. 1>&2 ;
errors=`expr $errors + 1` ;;
esac
fi
-test -s tross-1b.err || rm -f tross-1b.err
-$xx -dcs '[:lower:]' 'n-rs-z' < $srcdir/tross-2.in > tross-2.out 2> tross-2.err
+test -s ross-4.E || rm -f ross-4.E
+$xx -dcs '[:alnum:]' '[:digit:]' < $srcdir/ross-4.I > ross-4.O 2> ross-4.E
code=$?
if test $code != 0 ; then
- $echo "Test ross-2 failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ $echo "Test ross-4(<) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
errors=`expr $errors + 1`
else
- cmp tross-2.out $srcdir/tross-2.exp
+ cmp ross-4.O $srcdir/ross-4.X
case $? in
- 0) if test "$VERBOSE" ; then $echo "passed ross-2"; fi ;;
- 1) $echo "Test ross-2 failed: files tross-2.out and $srcdir/tross-2.exp differ" 1>&2;
+ 0) if test "$VERBOSE" ; then $echo "passed ross-4(<)"; fi ;;
+ 1) $echo "Test ross-4(<) failed: files ross-4.O and $srcdir/ross-4.X differ" 1>&2;
errors=`expr $errors + 1` ;;
- 2) $echo "Test ross-2 may have failed." 1>&2;
- $echo The command "cmp tross-2.out $srcdir/tross-2.exp" failed. 1>&2 ;
+ 2) $echo "Test ross-4(<) may have failed." 1>&2;
+ $echo The command "cmp ross-4.O $srcdir/ross-4.X" failed. 1>&2 ;
errors=`expr $errors + 1` ;;
esac
fi
-test -s tross-2.err || rm -f tross-2.err
-$xx -ds '[:xdigit:]' '[:alnum:]' < $srcdir/tross-3.in > tross-3.out 2> tross-3.err
+test -s ross-4.E || rm -f ross-4.E
+cat $srcdir/ross-5.I | $xx -dc '[:lower:]' > ross-5.O 2> ross-5.E
code=$?
if test $code != 0 ; then
- $echo "Test ross-3 failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ $echo "Test ross-5(|) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
errors=`expr $errors + 1`
else
- cmp tross-3.out $srcdir/tross-3.exp
+ cmp ross-5.O $srcdir/ross-5.X
case $? in
- 0) if test "$VERBOSE" ; then $echo "passed ross-3"; fi ;;
- 1) $echo "Test ross-3 failed: files tross-3.out and $srcdir/tross-3.exp differ" 1>&2;
+ 0) if test "$VERBOSE" ; then $echo "passed ross-5(|)"; fi ;;
+ 1) $echo "Test ross-5(|) failed: files ross-5.O and $srcdir/ross-5.X differ" 1>&2;
errors=`expr $errors + 1` ;;
- 2) $echo "Test ross-3 may have failed." 1>&2;
- $echo The command "cmp tross-3.out $srcdir/tross-3.exp" failed. 1>&2 ;
+ 2) $echo "Test ross-5(|) may have failed." 1>&2;
+ $echo The command "cmp ross-5.O $srcdir/ross-5.X" failed. 1>&2 ;
errors=`expr $errors + 1` ;;
esac
fi
-test -s tross-3.err || rm -f tross-3.err
-$xx -dcs '[:alnum:]' '[:digit:]' < $srcdir/tross-4.in > tross-4.out 2> tross-4.err
+test -s ross-5.E || rm -f ross-5.E
+$xx -dc '[:lower:]' < $srcdir/ross-5.I > ross-5.O 2> ross-5.E
code=$?
if test $code != 0 ; then
- $echo "Test ross-4 failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ $echo "Test ross-5(<) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
errors=`expr $errors + 1`
else
- cmp tross-4.out $srcdir/tross-4.exp
+ cmp ross-5.O $srcdir/ross-5.X
case $? in
- 0) if test "$VERBOSE" ; then $echo "passed ross-4"; fi ;;
- 1) $echo "Test ross-4 failed: files tross-4.out and $srcdir/tross-4.exp differ" 1>&2;
+ 0) if test "$VERBOSE" ; then $echo "passed ross-5(<)"; fi ;;
+ 1) $echo "Test ross-5(<) failed: files ross-5.O and $srcdir/ross-5.X differ" 1>&2;
errors=`expr $errors + 1` ;;
- 2) $echo "Test ross-4 may have failed." 1>&2;
- $echo The command "cmp tross-4.out $srcdir/tross-4.exp" failed. 1>&2 ;
+ 2) $echo "Test ross-5(<) may have failed." 1>&2;
+ $echo The command "cmp ross-5.O $srcdir/ross-5.X" failed. 1>&2 ;
errors=`expr $errors + 1` ;;
esac
fi
-test -s tross-4.err || rm -f tross-4.err
-$xx -dc '[:lower:]' < $srcdir/tross-5.in > tross-5.out 2> tross-5.err
+test -s ross-5.E || rm -f ross-5.E
+cat $srcdir/ross-6.I | $xx -dc '[:upper:]' > ross-6.O 2> ross-6.E
code=$?
if test $code != 0 ; then
- $echo "Test ross-5 failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ $echo "Test ross-6(|) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
errors=`expr $errors + 1`
else
- cmp tross-5.out $srcdir/tross-5.exp
+ cmp ross-6.O $srcdir/ross-6.X
case $? in
- 0) if test "$VERBOSE" ; then $echo "passed ross-5"; fi ;;
- 1) $echo "Test ross-5 failed: files tross-5.out and $srcdir/tross-5.exp differ" 1>&2;
+ 0) if test "$VERBOSE" ; then $echo "passed ross-6(|)"; fi ;;
+ 1) $echo "Test ross-6(|) failed: files ross-6.O and $srcdir/ross-6.X differ" 1>&2;
errors=`expr $errors + 1` ;;
- 2) $echo "Test ross-5 may have failed." 1>&2;
- $echo The command "cmp tross-5.out $srcdir/tross-5.exp" failed. 1>&2 ;
+ 2) $echo "Test ross-6(|) may have failed." 1>&2;
+ $echo The command "cmp ross-6.O $srcdir/ross-6.X" failed. 1>&2 ;
errors=`expr $errors + 1` ;;
esac
fi
-test -s tross-5.err || rm -f tross-5.err
-$xx -dc '[:upper:]' < $srcdir/tross-6.in > tross-6.out 2> tross-6.err
+test -s ross-6.E || rm -f ross-6.E
+$xx -dc '[:upper:]' < $srcdir/ross-6.I > ross-6.O 2> ross-6.E
code=$?
if test $code != 0 ; then
- $echo "Test ross-6 failed: ../../src/tr return code $code differs from expected value 0" 1>&2
+ $echo "Test ross-6(<) failed: ../../src/tr return code $code differs from expected value 0" 1>&2
errors=`expr $errors + 1`
else
- cmp tross-6.out $srcdir/tross-6.exp
+ cmp ross-6.O $srcdir/ross-6.X
case $? in
- 0) if test "$VERBOSE" ; then $echo "passed ross-6"; fi ;;
- 1) $echo "Test ross-6 failed: files tross-6.out and $srcdir/tross-6.exp differ" 1>&2;
+ 0) if test "$VERBOSE" ; then $echo "passed ross-6(<)"; fi ;;
+ 1) $echo "Test ross-6(<) failed: files ross-6.O and $srcdir/ross-6.X differ" 1>&2;
errors=`expr $errors + 1` ;;
- 2) $echo "Test ross-6 may have failed." 1>&2;
- $echo The command "cmp tross-6.out $srcdir/tross-6.exp" failed. 1>&2 ;
+ 2) $echo "Test ross-6(<) may have failed." 1>&2;
+ $echo The command "cmp ross-6.O $srcdir/ross-6.X" failed. 1>&2 ;
errors=`expr $errors + 1` ;;
esac
fi
-test -s tross-6.err || rm -f tross-6.err
+test -s ross-6.E || rm -f ross-6.E
if test $errors = 0 ; then
$echo Passed all 53 tests. 1>&2
else